<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1"></li> <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a itemprop="item" href="/" title="Главная">Главная</a><meta itemprop="position" content="2"></li> <li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">Сравнение<meta itemprop="position" content="3"></li></ol>
<div class="compare-page">
   <h1>Сравнение</h1>
   {if $products}
   <div class="no-item-frame compare-table-wrap" id="compare-table-wrap" style="overflow: hidden;">
      <div class="slidee">
         <table class="compare-table">
            <thead class="compare-thead">
               <tr>
                  <td class="bb-d">
                     <div class="compare-comment">
                        <img class="compare-comment__img center-block" src="design/{$settings->theme|escape}/images/compare.png" alt="" width="133" height="111">
                        <div class="compare-comment__text">Здесь вы можете сравнить выбранные товары по различным параметрам и характеристикам, и выбрать оптимальное для вас сочетание</div>
                     </div>
                     <div class="compare-title">Параметры сравнения:</div>
                  </td>
                  {foreach $products as $id=>$product}
                  <td>
                     <div class="preview-item product">
                        <div class="preview-item__image-wrap">
                           <a href="products/{$product->url}" class="preview-item__image-link image">
                              <img src="{$product->image->filename|resize:213:213}" data-original="{$product->image->filename|resize:213:213}" alt="{$product->name|escape}" class="preview-item__image lazy" style="display: inline;">
                           </a>
                           <a class="remove-from-compare flaticon-cross93" href="compare/remove/{$product->url}"></a>
                           {if $product->variant->sku}<span id="art_{$product->id}" class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
                           {if $product->featured}<img class="sticker-corner" alt="Хит" src="design/{$settings->theme|escape}/images/hit.png">{/if}
                           {if $product->variant->compare_price > 0}<img class="sticker-corner" alt="Акция" src="design/{$settings->theme|escape}/images/sale.png">{/if}
                           <div class="add-buttons no-text no-border">
                              {if $wishlist_products && in_array($product->url, $wishlist_products)}
                              <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn added">
                                 <span class="add-text">В избранном</span>
                                 <span class="cbutton cbutton--effect-nikola"></span>
                              </a><!-- favorites -->
                              {else}
                              <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn favorite-15348 wishlist">
                                 <span class="add-text">Добавить в избранное</span>
                                 <span class="cbutton cbutton--effect-nikola"></span>
                              </a><!-- add.to-favorites -->
                              {/if}
                           </div><!-- add-buttons -->
                        </div>
                        <div class="item-name">
                           <div class="name-inner-wrap">
                              <a href="products/{$product->url}" data-product="{$product->id}" class="classic-link">{$product->name|escape}</a>
                           </div>
                        </div>
                        <div class="preview-item__caption">
                           <div class="caption-hidden">
                              <form class="variants" action="cart">
                                 {foreach $product->variants as $v}
                                 <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
                                 {/foreach}
                                 <div class="amount small">
                                    <button type="button" class="minus three-color-p disabled"></button>
                                    <input type="text" value="1" name="amount" class="form-control quantity-input small">
                                    <button type="button" class="plus three-color-p"></button>
                                 </div>
                                 <button class="add-to-cart-small three-color-i flaticon-ecommerce7" type="submit" role="button"></button>
                              </form>
                           </div><!-- caption-hidden -->
                           <div class="price">{$product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
                           {if $product->variant->compare_price > 0}<div class="old-price">{$product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
                           <span data-template="detail" data-arparams="" data-disabled="true" data-id="{$product->id}" data-rating="{$product->rating|string_format:"%.0f"}" data-realrating="{$product->rating|string_format:"%.0f"}" itemtype="http://schema.org/AggregateRating" itemscope="" itemprop="aggregateRating" class="stars">
                              <i data-index="1" class="flaticon-star129"></i>
                              <i data-index="2" class="flaticon-star129"></i>
                              <i data-index="3" class="flaticon-star129"></i>
                              <i data-index="4" class="flaticon-star129"></i>
                              <i data-index="5" class="flaticon-star129"></i>
                           </span>			
                        </div><!-- preview-item__caption -->
                     </div>		
                  </td>
                  {/foreach}
               </tr>
               <tr class="spacer">
                  <td></td>
                  <td></td>
                  <td></td>
                  <td></td>
               </tr>
            </thead>
            <tbody class="compare-body">
               <tr class="section-header">
                  <td>
                     <button type="button" class="section-toggle shown">
                        <span class="text">Основные свойства</span>
                     </button>
                  </td>
               <td></td><td></td><td></td><td></td>						</tr>
               {foreach from=$compare_features name=features item=property}
               <tr>
                  <td>{$property->name}</td>
                  {foreach from=$products item=product}
                  <td> 
                     {foreach $product->features as $f}
                     {if $f->name == $property->name}
                     <span>{$f->value}</span>
                     {/if}
                     {/foreach}
                  </td>
                  {/foreach} 
               </tr>
               {/foreach} 
            </tbody>
         </table>		</div>
         <div class="pages-wrap">
            <button class="prevPage three-color-p flaticon-left207 disabled">
               <span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
            </button>
            <div class="nums"><span class="num-current"></span><span class="num-total"></span></div>
            <ul class="pages"><li class=""></li><li class="active"></li></ul>
            <button class="nextPage three-color-p flaticon-right218">
               <span class="cbutton cbutton--effect-lazar"></span>
            </button>
         </div><!-- pages-wrap -->
   </div>
   {else}
   <div class="ordering-option clearfix">			
      <div class="alert alert-warning">Список сравниваемых элементов пуст.</div>
   </div>
   {/if}
</div>