<div class="col-lg-3 col-md-3 col-xs-12 catalog-filter-col" data-filter="vertical">
   <h2 class="catalog-filter-title ">
      <span class="catalog-filter-title-text flaticon-mixer1">Фильтр по параметрам</span>
      <button class="hide-filter-btn pull-right" data-toggle="collapse" data-target="#catalog-filter-content">
         <span class="hide-filter-text when-not-collapsed action-link hidden-xs">Свернуть</span>
         <span class="hide-filter-text when-collapsed action-link hidden-xs">Показать</span>
         <i class="flaticon-forbidden15"></i>
      </button>
   </h2><!-- catalog-filter-title -->
   <form name="_form" action="{$config->root_url}/catalog/{$category->url}"  class="catalog-filter" id="catalog-filter" method="get">
      <div class="catalog-filter-content clearfix collapse in" id="catalog-filter-content">
         <div class="filter-section filter-price w-range-slider">
            <div class="filter-section-title collapse-toggle " data-toggle="collapse" data-target="#KZ7kps_BASE">Цена</div>
            <div class="filter-section-content collapse in price_filter" id="KZ7kps_BASE">
               <div class="range-slider-wrap">
                  <div id="slider_price" class="ui-slider ui-slider-horizontal ui-widget ui-widget-content  range-slider noUi-target noUi-ltr noUi-horizontal noUi-background" data-slider-min-range="{$slider_max_min_price->min_price|convert:null:false|floor}" data-slider-max-range="{$slider_max_min_price->max_price|convert:null:false|ceil}" data-from="{$slider_max_min_price->min_price|convert:null:false|floor}" data-to="{$slider_max_min_price->max_price|convert:null:false|ceil}" data-step="100">
                     <div class="ui-slider-handle ui-state-default ui-state-left"  href="#"></div>
                     <div class="ui-slider-handle ui-state-default ui-state-right"  href="#"></div>
                  </div>
               </div>
               <div class="range-slider-label">
                  <label class="input-min-label">
                     <span class="input-text">от</span>
                     <input type="text" class="form-control input-lower _slider" placeholder="{$max_min_price->min_price|convert:null:false|floor}" id="min_price" data-min-price="{$max_min_price->min_price|convert:null:false|floor}" name="min_price" value="{if $smarty.get.min_price}{$smarty.get.min_price}{else}{/if}" autocomplete="off">
                  </label>
                  <label class="input-max-label">
                     <span class="input-text">до</span>
                     <input type="text"  class="form-control input-upper _slider" placeholder="{$max_min_price->max_price|convert:null:false|ceil}" id="max_price" data-max-price="{$max_min_price->max_price|convert:null:false|ceil}" name="max_price" value="{if $smarty.get.max_price}{$smarty.get.max_price}{else}{/if}" autocomplete="off">
                  </label>
               </div>
            </div><!-- .filter-prop-content -->
         </div><!-- .filter-prop -->
         <div class="filter-section checkboxes">
            <div class="filter-section-title collapse-toggle collapsed" data-toggle="collapse" data-target="#h6etqY_TSVET" aria-expanded="false">Бренды</div>
            <div class="filter-section-content collapse" id="h6etqY_TSVET" aria-expanded="false" style="height: 0px;">
               <ul class="checkbox-options">
                  {foreach $category->brands as $b}
                  <li {if $b->disabled} class="disabled"{/if}>
                     <label class="checkbox">
                        <input id="brand_{$b->id}" class="checkbox-input state" type="checkbox" name="brand_id[]" value="{$b->id}"{if $b->checked} checked{elseif $b->disabled} disabled{/if}>
                        <span for="brand_{$b->id}" class="checkbox-content"><span class="check flaticon-checked21"></span>{$b->name|escape}</span>
                     </label>
                  </li>
                  {/foreach}
               </ul>
            </div><!-- .filter-prop-content -->
         </div><!-- .filter-prop -->
         {foreach $features as $f}
         {if $f@iteration > 2} <div class="collapse" id="detailed-filter">{/if}
            <div class="filter-section checkboxes">
               <div class="filter-section-title collapse-toggle collapsed" data-toggle="collapse" data-target="#{$f->id}" aria-expanded="false">{$f->name}</div>
               <div class="filter-section-content collapse" id="{$f->id}" aria-expanded="false" style="height: 0px;">
                  <ul class="checkbox-options">
                     {foreach $f->options as $k=>$o}
                     <li {if $o->disabled} class="disabled"{/if}>
                        <label class="checkbox">
                           <input id="option_{$f->id}_{$k}" class="checkbox-input state" type="checkbox" name="{$f->id}[]" value="{$o->value|escape}"{if $o->checked} checked{elseif $o->disabled} disabled{/if}>
                           <span class="checkbox-content"><span class="check flaticon-checked21"></span>{$o->value|escape}</span>
                        </label>
                     </li>
                     {/foreach}
                  </ul>
               </div><!-- .filter-prop-content -->
            </div><!-- .filter-prop -->
         {if $f@iteration > 2} </div>{/if}
         {/foreach}
         <div class="filter-parameters">
            <div class="filter-reset-wrap">
					<a href="{$config->root_url}/catalog/{$category->url}"  class="filter-reset flaticon-update6"><span class="all-option-reset-text">Сбросить все параметры поиска</span></a>
            </div>
            <div class="filter-submit-wrap">
               <a href="#" class="filter-submit btn-main btn-secondary apply">Показать</a>
            </div>
            <a class="btn-detailed-filter three-color-p flaticon-bookmark52 collapsed" aria-expanded="false" data-toggle="collapse" data-target="#detailed-filter" data-text-when-opened="Свернуть" data-text="Подробный фильтр"></a>
         </div><!-- .filter-controls -->
      </div>
   </form><!-- .rz-filter -->
</div> 