{* Страница регистрации *}
{* Канонический адрес страницы *}
{$canonical="/user/register" scope=parent}
{$meta_title = "Регистрация" scope=parent}
<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1"></li> <li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">Регистрация<meta itemprop="position" content="2"></li></ol>
<main class="main-page">
   <!-- Заголовок страницы -->
   <h1 class="main-page-h1">Регистрация</h1>
   <div class="static-text">
      <div class="modal-body">
         <form method="post" class="registration-forms">
            <div class="hint">Поля, помеченные <span class='asterisk-required'>*</span> &mdash; обязательны для заполнения</div>
            <div class="row registration-content">
               <div class="block-table">
                  <div class="forms-left col-xs-12 col-md-6">
                     {if $error}
                     <label class="form-group">
                        <div class="message_error">
                           {if $error == 'empty_name'}
                           <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button>Введите имя</div>
                           {elseif $error == 'empty_email'}
                           <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button> Введите email</div>
                           {elseif $error == 'empty_password'}
                           <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button>Введите пароль</div>
                           {elseif $error == 'user_exists'}
                           <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button>Пользователь с таким email уже зарегистрирован</div>
                           {elseif $error == 'captcha'}
                           <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button> Неверно введена капча</div>
                           {else}{$error}{/if}
                        </div>
                     </label>
                     {/if}
                     <label class="form-group">
                        <span class="label-text">Имя<span class="asterisk-required">*</span>:</span>
                        <input type="text" name="name" class="form-control" tabindex="5" required data-format=".+" data-notice="Введите имя" value="{$name|escape}" maxlength="255" />
                     </label>
                     <label class="form-group">
                        <span class="label-text">Адрес e-mail<span class="asterisk-required">*</span>:</span>
                        <input type="text" name="email" data-format="email"  data-notice="Введите email" value="{$email|escape}" class="form-control" tabindex="2" required maxlength="255" />
                     </label>								
                     <label class="form-group">
                        <span class="label-text">Пароль<span class="asterisk-required">*</span>:</span>
                        <input type="password" name="password" data-format=".+" data-notice="Введите пароль" class="form-control input-password" tabindex="3" required value="" />
                        <i class="flaticon-eye46 password-icon"></i>
                        <i class="flaticon-eye48 password-icon"></i>
                     </label>
                     <label class="form-group name">
                        <span class="label-text">Код с картинки <span class="asterisk-required">*</span>:</span>
                        <input class="form-control" required="" tabindex="8" id="comment_captcha" type="text" name="captcha_code" value="" data-format="\d\d\d\d" data-notice="Введите капчу"/>
                        <span class="captcha">
                           <img alt="Капча" class="captcha-img" title="Капча" src="captcha/image.php?{math equation='rand(10,10000)'}"/>
                        </span>
                     </label>
                  </div>
               </div>
            </div>
            <div class="registration-footer">
               <label class="checkbox">
                  <input type="checkbox" class="checkbox-input state"  name="ACCEPT_AGREEMENT" value="Y" tabindex="9"/>
                  <span class="checkbox-content">
                     <span class="check flaticon-checked21"></span>Я принимаю <a href='/rules/' target='_blank'>Правила сайта</a>					
                  </span>
               </label>
               <div class="btn-wrap">
                  <input type="submit"class="btn btn-lg btn-primary" name="register" value="Зарегистрироваться">
               </div>
            </div>
         </form>
      </div>
   </div>
</main>