// Аяксовая корзина
$('form.variants').on('submit', function(e) {
	e.preventDefault();
	button = $(this).find('button[type="submit"]');
	if($(this).find('input[name=variant]:checked').size()>0)
		variant = $(this).find('input[name=variant]:checked').val();
	if($(this).find('select[name=variant]').size()>0)
		variant = $(this).find('select').val();
   $(this).addClass('added'); 
	$.ajax({
		url: "ajax/cart.php",
		data: {variant: variant,amount: $(this).find('input[name="amount"]').val()},
		dataType: 'json',
		success: function(data){
			$('#cart_informer').html(data);
			if(button.hasClass("flaticon-ecommerce7"))
				button.removeClass("flaticon-ecommerce7")
				button.addClass("flaticon-checked21 active");
            
         if(button.attr('data-toggle-text'))
			button.html(button.attr('data-toggle-text'));
			
         
		}
	});
   var o1 = $(this).offset();
	var o2 = $('#cart_informer').offset();
	var dx = o1.left - o2.left;
	var dy = o1.top - o2.top;
	var distance = Math.sqrt(dx * dx + dy * dy);
	$(this).closest('.product').find('.image img').effect("transfer", { to: $("#cart_informer"), className: "transfer_class" }, distance);	
	$('.transfer_class').html($(this).closest('.product').find('.image').html());
	$('.transfer_class').find('img').css('height', '100%');
	return false;
});



// Аяксовая корзина
$('a[href*="cart?variant"]').on('click', function(e) {
	e.preventDefault();
	//variant_id = $(this).attr('id');
	
	href = $(this).attr('href');
	pattern = /\/?cart\?variant=(\d+)$/;
	variant_id = pattern.exec(href)[1];
	
	link = $(this);
	$.ajax({
		url: "ajax/cart.php",
		data: {variant: variant_id},
		dataType: 'json',
		success: function(data){
			$('#cart_informer').html(data);
			//if(link.attr('added_text'))
			//	link.html(link.attr('added_text'));
			//link.attr('href', '/cart');
		}
	});

	var o1 = $(this).offset();
	var o2 = $('#cart_informer').offset();
	var dx = o1.left - o2.left;
	var dy = o1.top - o2.top;
	var distance = Math.sqrt(dx * dx + dy * dy);

	$(this).closest('.product').find('.image img').effect("transfer", { to: $("#cart_informer"), className: "transfer_class" }, distance);	
	$('.transfer_class').html($(this).closest('.product').find('.image').html());
	$('.transfer_class').find('img').css('height', '100%');
	return false;
});


// Избранное
$('a.wishlist').on('click', function(e) {
      href = $(this).attr('href');
          $('#wishlist_informer').load(href+' #wishlist_informer');
          $(this).removeClass('wishlist');
          $(this).attr('href', 'wishlist/');
          $(this).addClass('added'); 
    	var o1 = $(this).offset();
    	var o2 = $('#wishlist_informer').offset();
    	var dx = o1.left - o2.left;
    	var dy = o1.top - o2.top;
    	var distance = Math.sqrt(dx * dx + dy * dy);
    	$(this).closest('.product').find('.image img').effect("transfer", { to: $("#wishlist_informer"), className: "transfer_class" }, distance);
    	$('.transfer_class').html($(this).closest('.product').find('.image').html());
    	$('.transfer_class').find('img').css('height', '100%');
    	return false;

});

// Сравнение
$('a.compare').on('click', function(e) {
      href = $(this).attr('href');
          $('#compare_informer').load(href+' #compare_informer');
          $(this).removeClass('compare');
          $(this).attr('href', 'compare/');
          $(this).addClass('added');              
    	var o1 = $(this).offset();
    	var o2 = $('#compare_informer').offset();
    	var dx = o1.left - o2.left;
    	var dy = o1.top - o2.top;
    	var distance = Math.sqrt(dx * dx + dy * dy);
    	$(this).closest('.product').find('.image img').effect("transfer", { to: $("#compare_informer"), className: "transfer_class" }, distance);
    	$('.transfer_class').html($(this).closest('.product').find('.image').html());
    	$('.transfer_class').find('img').css('height', '100%');
    	return false;

});



   