{* Шаблон корзины *}
{$meta_title = "Корзина" scope=parent}
<ol class="breadcrumb" itemscope itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1" /></li> <li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="/personal/" title="Личный кабинет">Личный кабинет</a><meta itemprop="position" content="2" /></li> <li class="active" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">Моя корзина<meta itemprop="position" content="3" /></li></ol>			
<main class="main-page">
   <h1 class="main-page-h1">
      {if $cart->purchases}Корзина
      {else}Корзина пуста{/if}
   </h1>
	{if $cart->purchases}
   <div class="ordering1">
      <form method="post" name="cart">
         <input type="hidden" name="BasketRefresh" value="BasketRefresh"/>
         <div class="order-actions">
            <a href="javascript:history.back();"
			   class="back-to-shoping btn-main btn-direction flaticon-left207">Вернуться к покупкам</a>
            <div class="add-items-wrap">
               <a  href="#" onclick="print()" class="action-link has-icon print pull-right flaticon-printer70">
                  <span class="link-text">распечатать корзину</span>
               </a>
            </div>
         </div><!-- order-actions -->
         <ul class="wish-list-wrap">
            <li class="active">
               <a href="#basket-active" class="action-link has-icon wish-list flaticon-back15" data-toggle="tab">
                  {$cart->total_products|plural:'Товар':'Товаров':'Товара'} в корзине:
               </a> {$cart->total_products} 		</li>
         </ul>
         <div class="tab-content">
            <div class="cart-wrap tab-pane active fade in" id="basket-active">
               <div class="cart-header">
                  <span class="text">
                     {$cart->total_products|plural:'Товар':'Товаров':'Товара'} в корзине:						
                     <b>{$cart->total_products}</b>
                  </span>
                  <span class="text">
                     На сумму: <b>{$cart->total_price|convert}<span class="b-rub"> {$currency->sign}</span></b>
                  </span>
               </div>
               <table class="cart-table">
                  <thead>
                     <tr>
                        <td colspan="2" class='print  for-item-name'>Товар</td>
                        <td class='print hidden-xs'>Скидка</td>
                        <td class='print hidden-xs'>Цена, ед.</td>
                        <td class='print  for-amount'>Количество</td>
                        <td class='print hidden-xs'>Сумма</td>
                        <td class='print hidden-xs'></td>
                     </tr>
                  </thead>
                  <tbody>
                     {foreach $cart->purchases as $purchase}
                     <tr class="cart-item in-stock">
                        <td class="img-wrap print">
                           {$image = $purchase->product->images|first}
                           {if $image}
                           <a href="products/{$purchase->product->url}">
                              <img src="{$image->filename|resize:213:213}" alt="{$product->name|escape}">
                           </a>
                           {/if}
                        </td>
                        <td class="name-wrap print">
                           <a href="products/{$purchase->product->url}" class="classic-link">{$purchase->product->name|escape}</a>
                           <div class="chosen-parameter">
										<span class="parameter-value">{$purchase->variant->name|escape}</span>
									</div>
                        </td>
                        <td class="print discount hidden-xs">
                           {if $purchase->variant->compare_price>0}
                           <span class="discount-amount discount-xl">{round(abs(100-{$purchase->variant->price}/($purchase->variant->compare_price)*100))}%</span>
                           {else}
                           <span class="discount-amount no-discount">0.00%</span>
                           {/if}
                        </td>
                        <td class="print price-wrap">
                           <div class="price">	{($purchase->variant->price)|convert}<span class="b-rub"> {$currency->sign}</span></div>
                           {if $purchase->variant->compare_price>0} <div class="old-price">{$purchase->variant->compare_price|convert}<span class="b-rub"> {$currency->sign}</span></div>{/if}
                        </td>
                        <td class="availability print" data-when-out-of-stock="Товар отсутствует">
                           <div class="amount small">
                              <button class="minus three-color-p" ></button>
                              <input type="text"  name="amounts[{$purchase->variant->id}]" value="{$purchase->amount}"  onchange="document.cart.submit();" class="form-control quantity-input small"
                              value="1" data-step="1">
                              <button class="plus three-color-p" ></button>
                           </div>
                        </td>
                        <td class="print sum">
                        {($purchase->variant->price*$purchase->amount)|convert}<span class="b-rub"> {$currency->sign}</span>						
                        </td>
                        <td class="text-right actions">
									<a title="Удалить" class="basket-action-btn delete flaticon-delete96 tooltip-simple" href="cart/remove/{$purchase->variant->id}"></a>
                        </td>
                     </tr>
                     {/foreach}
                  </tbody>
               </table>
            </div>
         </div>
         <div class="cart-wrap">
				<div class="table-footer clearfix">
               <div class="big-cart-total">
                  <table class="total">
                     <tr>
                        <th colspan="2">Итого:</th>
                     </tr>
                     <tr>
                        <td>{$cart->total_products|plural:'Товар':'Товаров':'Товара'} в корзине:</td>
                        <td>{$cart->total_products}</td>
                     </tr>
                     <tr>
                        <td>На сумму:</td>
                        <td>{$cart->total_price|convert}<span class="b-rub"> {$currency->sign}</span></td>
                     </tr>
                  </table>
               </div>
               <div class="input-group">
                  <span class="input-group-addon">Знаете промо-код на скидку?</span>
                  {if $coupon_error}
                  <div id="tooltip-soa-property-311" class="bx-soa-tooltip bx-soa-tooltip-static bx-soa-tooltip-danger tooltip top" data-state="opened" style="opacity: 1; display: block;">
                     <div class="tooltip-arrow"></div>
                     <div class="tooltip-inner">{if $coupon_error == 'invalid'}Купон недействителен{/if}</div>
                  </div>
                  {/if}
                  {if $cart->coupon->min_order_price>0}
                  <div id="tooltip-soa-property-311" class="bx-soa-tooltip bx-soa-tooltip-static bx-soa-tooltip-danger tooltip top" data-state="opened" style="opacity: 1; display: block;">
                     <div class="tooltip-arrow"></div>
                     <div class="tooltip-inner">(купон {$cart->coupon->code|escape} действует для заказов от {$cart->coupon->min_order_price|convert} {$currency->sign})</div>
                  </div>
                  {/if}
                  <div class="input-group">
                     <input type="text" class="form-control" name="coupon_code" value="{$cart->coupon->code|escape}"  placeholder="Введите код в это поле...">
							<span class="input-group-btn">
								<button type="button" name="apply_coupon"  value="Применить купон" onclick="document.cart.submit();" class="three-color-p btn-enter-promocode flaticon-pointing6"></button>
                     </span>
                  </div>
               </div>
            </div>
         </div>
         {literal}
         <script>
            $("input[name='coupon_code']").keypress(function(event){
               if(event.keyCode == 13){
                  $("input[name='name']").attr('data-format', '');
                  $("input[name='email']").attr('data-format', '');
                  document.cart.submit();
               }
            });
         </script>
         {/literal}
         <br><br>
         <h1 class="main-page-h1">Оформление заказа</h1>
         <div id="ordering-details">
            <div id="bx-soa-order" class="row bx-blue">
               <!--	MAIN BLOCK	-->
               <div class="col-sm-9 bx-soa">
                  <!--	AUTH BLOCK	-->
                  <!--	DUPLICATE MOBILE ORDER SAVE BLOCK	-->
                  <!--	REGION BLOCK	-->
                  <div id="bx-soa-region" data-visited="true" class="bx-soa-section" style="">
                     <div class="bx-soa-section-title-container">
                        <div class="title-h2 bx-soa-section-title col-sm-9">
                        <span class="bx-soa-section-title-count"></span>Выберите способ доставки</div>
                     </div>
                     <div class="bx-soa-section-content">
                        {* Доставка *}
                        {if $deliveries}
                        {foreach $deliveries as $delivery}
                        <div class="radio-inline">
                           <label class="radio">
                              <input type="radio" name="delivery_id" class="radio-input state" onclick="select_delivery_method({$delivery->id});" value="{$delivery->id}" {if $delivery_id==$delivery->id}checked{elseif $delivery@first}checked{/if} id="deliveries_{$delivery->id}">
                              <span for="deliveries_{$delivery->id}" class="radio-content">
                                 <b> 
                                    {$delivery->name}
                                    {if $cart->total_price < $delivery->free_from && $delivery->price>0}
                                       (<span id="delivery_price_{$delivery->id}">{$delivery->price|convert:null:false}</span> {$currency->sign})
                                       {elseif $cart->total_price >= $delivery->free_from}
                                       (бесплатно)
                                       {/if}
                                    </b>
                                 </span>
                              </label>
                           </div>
                           <div class="description">
                              {$delivery->description}
                           </div>
                           {/foreach}
                           {/if}
                        </div>
                     </div>
                     <div id="bx-soa-properties" data-visited="true" class="bx-soa-section" style="">
                        <div class="bx-soa-section-title-container">
                           <div class="title-h2 bx-soa-section-title col-sm-9">
                           <span class="bx-soa-section-title-count"></span>Адрес получателя</div>
                        </div>
                        <div class="bx-soa-section-content container-fluid">
                           {if $error}
                           <div class="alert alert-danger">
                              {if $error == 'empty_name'}Введите имя{/if}
                              {if $error == 'empty_email'}Введите email{/if}
                              {if $error == 'captcha'}Капча введена неверно{/if}
                           </div>
                           {/if}
                           <div class="row">
                              <div class="col-sm-12 bx-soa-customer">
                                 <div class="form-group bx-soa-customer-field {if $error == 'empty_name'}has-error{/if}">
                                    <label for="soa-property-311" class="bx-soa-custom-label"><span class="bx-authform-starrequired">*</span> Ф.И.О.</label>
                                    {if $error == 'empty_name'}
                                    <div id="tooltip-soa-property-311" class="bx-soa-tooltip bx-soa-tooltip-static bx-soa-tooltip-danger tooltip top" data-state="opened" style="opacity: 1; display: block;">
                                       <div class="tooltip-arrow"></div>
                                       <div class="tooltip-inner">Поле "Ф.И.О." обязательно для заполнения</div>
                                    </div>
                                    {/if}
                                    <div class="soa-property-container">
                                       <input class="form-control bx-soa-customer-input bx-ios-fix" name="name" type="text" value="{$name|escape}" data-format=".+" data-notice="Введите имя"/>
                                    </div>
                                 </div>
                                 <div class="form-group bx-soa-customer-field {if $error == 'empty_email'}has-error{/if}">
                                    <label for="soa-property-312" class="bx-soa-custom-label"><span class="bx-authform-starrequired">*</span> E-Mail</label>
                                    {if $error == 'empty_email'}
                                    <div id="tooltip-soa-property-312" class="bx-soa-tooltip bx-soa-tooltip-static bx-soa-tooltip-danger tooltip top" data-state="opened" style="opacity: 1; display: block;">
                                       <div class="tooltip-arrow"></div>
                                       <div class="tooltip-inner">Поле "E-Mail" обязательно для заполнения</div>
                                    </div>
                                    {/if}
                                    <div class="soa-property-container">
                                       <input class="form-control bx-soa-customer-input bx-ios-fix" name="email" type="text" value="{$email|escape}" data-format="email" data-notice="Введите email" />
                                    </div>
                                 </div>
                                 <div class="form-group bx-soa-customer-field">
                                    <label for="soa-property-313" class="bx-soa-custom-label">Телефон</label>
                                    <div class="soa-property-container">
                                       <input class="form-control bx-soa-customer-input bx-ios-fix" name="phone" type="text" value="{$phone|escape}" />
                                    </div>
                                 </div>
                                 <div class="form-group bx-soa-customer-field">
                                    <label for="soa-property-317" class="bx-soa-custom-label"> Адрес доставки</label>
                                    <div class="soa-property-container">
                                       <input class="form-control bx-soa-customer-input bx-ios-fix" name="address" type="text" value="{$address|escape}"/>
                                    </div>
                                 </div>
                              </div>
                              <div class="col-sm-12">
                                 <div class="form-group bx-soa-customer-field">
                                    <label for="orderDescription" class="bx-soa-customer-label">Комментарии к заказу:</label>
                                    <textarea name="comment" id="order_comment" cols="4" class="form-control bx-soa-customer-textarea bx-ios-fix">{$comment|escape}</textarea>
                                 </div>
                                 <div class="form-group bx-soa-customer-field {if $error == 'captcha'}has-error{/if}">
                                    <label for="soa-property-312" class="bx-soa-custom-label"><span class="bx-authform-starrequired">*</span> Каптча</label>
                                    {if $error == 'empty_email'}
                                    <div id="tooltip-soa-property-312" class="bx-soa-tooltip bx-soa-tooltip-static bx-soa-tooltip-danger tooltip top" data-state="opened" style="opacity: 1; display: block;">
                                       <div class="tooltip-arrow"></div>
                                       <div class="tooltip-inner">Поле "Каптча" обязательно для заполнения</div>
                                    </div>
                                    {/if}
                                    <div class="soa-property-container">
                                       <input class="form-control bx-soa-customer-input bx-ios-fix" id="comment_captcha" type="text" name="captcha_code" value="" data-format="\d\d\d\d" data-notice="Введите капчу"/>
                                       <br>
                                       <span class="captcha">
                                          <img class="captcha-img" src="captcha/image.php?{math equation='rand(10,10000)'}" alt='captcha'/>
                                       </span>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <!--	SIDEBAR BLOCK	-->
                  <div id="bx-soa-total" class="col-sm-3 bx-soa-sidebar">
                     <div class="bx-soa-cart-total-ghost" style="padding-top: 0px;"></div>
                     <div id="fixed" class="bx-soa-cart-total" style="">
                        <div class="bx-soa-cart-total-line">
                           <span class="bx-soa-cart-t">Товаров на:</span>
                           <span class="bx-soa-cart-d">{$cart->total_price|convert}<span class="b-rub">&nbsp;{$currency->sign}</span><br>
                           </span>
                        </div>
                        <div class="bx-soa-cart-total-line"><span class="bx-soa-cart-t">Доставка:</span>
                           <span class="bx-soa-cart-d"><span class="bx-soa-price-free">
                              <span id="delivery_price"></span> {$currency->sign}
                           </span></span>
                        </div>
                        {if $user->discount}
                        <div class="bx-soa-cart-total-line bx-soa-cart-total-line-highlighted">
                           <span class="bx-soa-cart-t">Скидка:</span>
                           <span class="bx-soa-cart-d">{$user->discount}&nbsp;%</span>
                        </div>
                        {/if}
                        <div class="bx-soa-cart-total-line bx-soa-cart-total-line-total">
                           <span class="bx-soa-cart-t">Итого:</span>
                           <span class="bx-soa-cart-d" style="font-size: 27px;">
                              <span id="sub_price" style="display: none;">{$cart->total_price|convert:null:false}</span>
                              <span id="subtotal_price"></span> 
                           <span class="b-rub">{$currency->sign}</span></span>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="big-cart-buttons">
               <button type="submit" name="checkout" class="btn-main btn-primary btn-checkout">Оформить заказ</button>
            </div>
         </form>
      </div>
      {else}
      <div class="ordering-option clearfix">			
         <div class="alert alert-warning">В вашей корзине ещё нет товаров.</div>
      </div>
      {/if}
   </main><!-- main-page -->
   {literal}
   <script>
      function select_delivery_method(method_id)
      {
         radiobuttons = document.getElementsByName('delivery_id');
         for(var i=0;i<radiobuttons.length;i++)
         {
            if(radiobuttons[i].value == method_id)
            {
               radiobuttons[i].checked = 1;
            }
         }
         var subtotal = parseFloat(document.getElementById('sub_price').innerHTML);
         var delivery = 0;
         if(document.getElementById('delivery_price_'+method_id))
         delivery = parseFloat(document.getElementById('delivery_price_'+method_id).innerHTML);
         total = subtotal+delivery;
         document.getElementById('subtotal_price').innerHTML = total;
         document.getElementById('delivery_price').innerHTML = delivery; 
      }
   </script>
   <script>
      select_delivery_method(1);
   </script>
{/literal}