{* Страница с формой обратной связи *}
{* Канонический адрес страницы *}
{$canonical="/{$page->url}" scope=parent}
<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1"></li> <li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">{$page->header|escape}<meta itemprop="position" content="2"></li></ol>
<main class="main-page">
   <h1 class="main-page-h1" data-page="{$page->id}">{$page->name|escape}</h1>
   <div class="static-text">
      {$page->body}
      <h2>Обратная связь</h2>
      <div class="col col-sm-12 col-md-6">
         {if $message_sent}
         <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert">×</button>
            {$name|escape}, ваше сообщение отправлено.	
         </div>
         {else}
         {if $error}
         {if $error=='captcha'}
         <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert">×</button>
            Неверно введена капча			
         </div>
         {elseif $error=='empty_name'}
         <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert">×</button>
            Введите имя			
         </div>
         {elseif $error=='empty_email'}
         <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert">×</button>
            Введите email		
         </div>
         {elseif $error=='empty_text'}
         <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert">×</button>
            Введите сообщение	
         </div>
         {/if}
         {/if}
         <div class="media question-form" id="add-question">
            <form method="POST"  class="media-body" id="form_comment_forum" novalidate="true">
               <label class="form-group">
                  <span class="label-text">Ваше имя<span class="asterisk-required">*</span>:</span>
                  <input id="comment_name" name="name" value="{$comment_name}" data-format=".+" data-notice="Введите имя" size="30" title="" class="form-control" placeholder="Ваше имя" required="" type="text">
               </label>
               <label class="form-group">
                  <span class="label-text">Email<span class="asterisk-required">*</span>:</span>
                  <input data-format="email" data-notice="Введите email"  placeholder="Ваш email" class="form-control" value="{$email|escape}" name="email" maxlength="255" type="text"/>
               </label>
               <textarea class="form-control" value="{$message|escape}" name="message" data-format=".+" data-notice="Введите сообщение" cols="12" rows="5" placeholder="Ваше сообщение" required="">{$message|escape}</textarea>
               <label class="form-group name registration-forms">
                  <span class="label-text">Введите символы с картинки<span class="asterisk-required">*</span>:</span>
                  <input class="form-control" size="30"  id="comment_captcha" name="captcha_code" value="" data-format="\d\d\d\d" data-notice="Введите капчу" tabindex="7" required="" placeholder="" autocomplete="off" type="text">
                  <span class="captcha">
                     <img src="captcha/image.php?{math equation='rand(10,10000)'}" alt='captcha'/>
                  </span>
               </label>
               <br>
               <button type="submit" class="btn-main btn-primary btn-add-question" value="Отправить" name="feedback">Отправить</button>
            </form>
         </div><!-- /.form-wrap -->
         {/if}
      </div>
   </div>
</main>