<!DOCTYPE html>
{*  
 * Simpla Template
 *
 * @copyright 	2017 Simpla Template
 * @link 		http://www.simpla-template.org.ua/
 * @author 		Simpla Template  <info@simpla-template.org.ua>
*}
{if $smarty.get.color}
{$color = $smarty.get.color}
<script>
   document.cookie='color={$smarty.get.color};path=/';
</script>
{elseif $smarty.cookies.color}
{$color = $smarty.cookies.color}
{else}
{$color='theme_yellow-blue'}
{/if}
{*
Цветовая гамма
Варианты: theme_green-violet, theme_green-yellow, theme_orange-lime, theme_red-blue, theme_yellow-blue
*}
<html lang="ru">
   <head>
      <base href="{$config->root_url}/"/>
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <title>{$meta_title|escape}</title>
		<script type="text/javascript" data-skip-moving="true">
         var SITE_TEMPLATE_PATH = 'design/{$settings->theme|escape}/js/',
         SITE_DIR = '/',
         AJAX_DIR = '/ajax/',
         COOKIE_PREFIX = 'SIMPLA_SM';
         if (typeof rmz != 'object') {
            rmz = {};
         }
      </script>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <meta name="robots" content="index, follow" />
      <meta name="description" content="{$meta_description|escape}" />
      <meta name="keywords"    content="{$meta_keywords|escape}" />
      {literal}
      <style type="text/css">.bx-composite-btn {background: url(design/furniture/images/sprite-1x.png) no-repeat right 0 #e94524;border-radius: 15px;color: #ffffff !important;display: inline-block;line-height: 30px;font-family: "Helvetica Neue", Helvetica, Arial, sans-serif !important;font-size: 12px !important;font-weight: bold !important;height: 31px !important;padding: 0 42px 0 17px !important;vertical-align: middle !important;text-decoration: none !important;}@media screen   and (min-device-width: 1200px)   and (max-device-width: 1600px)   and (-webkit-min-device-pixel-ratio: 2)  and (min-resolution: 192dpi) {.bx-composite-btn {background-image: url(design/furniture/images/sprite-2x.png);background-size: 42px 124px;}}.bx-composite-btn-fixed {position: absolute;top: -45px;right: 15px;z-index: 10;}.bx-btn-white {background-position: right 0;color: #fff !important;}.bx-btn-black {background-position: right -31px;color: #000 !important;}.bx-btn-red {background-position: right -62px;color: #555 !important;}.bx-btn-grey {background-position: right -93px;color: #657b89 !important;}.bx-btn-border {border: 1px solid #d4d4d4;height: 29px !important;line-height: 29px !important;}.bx-composite-loading {display: block;width: 40px;height: 40px;background: url(design/furniture/images/loading.gif);}</style>
      <script type="text/javascript" data-skip-moving="true">(function(w, d, n) {var cl = "bx-core";var ht = d.documentElement;var htc = ht ? ht.className : undefined;if (htc === undefined || htc.indexOf(cl) !== -1){return;}var ua = n.userAgent;if (/(iPad;)|(iPhone;)/i.test(ua)){cl += " bx-ios";}else if (/Android/i.test(ua)){cl += " bx-android";}cl += (/(ipad|iphone|android|mobile|touch)/i.test(ua) ? " bx-touch" : " bx-no-touch");cl += w.devicePixelRatio && w.devicePixelRatio >= 2? " bx-retina": " bx-no-retina";var ieVersion = -1;if (/AppleWebKit/.test(ua)){cl += " bx-chrome";}else if ((ieVersion = getIeVersion()) > 0){cl += " bx-ie bx-ie" + ieVersion;if (ieVersion > 7 && ieVersion < 10 && !isDoctype()){cl += " bx-quirks";}}else if (/Opera/.test(ua)){cl += " bx-opera";}else if (/Gecko/.test(ua)){cl += " bx-firefox";}if (/Macintosh/i.test(ua)){cl += " bx-mac";}ht.className = htc ? htc + " " + cl : cl;function isDoctype(){if (d.compatMode){return d.compatMode == "CSS1Compat";}return d.documentElement && d.documentElement.clientHeight;}function getIeVersion(){if (/Opera/i.test(ua) || /Webkit/i.test(ua) || /Firefox/i.test(ua) || /Chrome/i.test(ua)){return -1;}var rv = -1;if (!!(w.MSStream) && !(w.ActiveXObject) && ("ActiveXObject" in w)){rv = 11;}else if (!!d.documentMode && d.documentMode >= 10){rv = 10;}else if (!!d.documentMode && d.documentMode >= 9){rv = 9;}else if (d.attachEvent && !/Opera/.test(ua)){rv = 8;}if (rv == -1 || rv == 8){var re;if (n.appName == "Microsoft Internet Explorer"){re = new RegExp("MSIE ([0-9]+[\.0-9]*)");if (re.exec(ua) != null){rv = parseFloat(RegExp.$1);}}else if (n.appName == "Netscape"){rv = 11;re = new RegExp("Trident/.*rv:([0-9]+[\.0-9]*)");if (re.exec(ua) != null){rv = parseFloat(RegExp.$1);}}}return rv;}})(window, document, navigator);</script>
      {/literal}
      <link href="design/{$settings->theme|escape}/images/favicons.png" rel="icon"          type="image/x-icon"/>
      <link href="design/{$settings->theme|escape}/images/favicons.png" rel="shortcut icon" type="image/x-icon"/>
      <link href="design/{$settings->theme|escape}/css/kernel_main.css" type="text/css"  rel="stylesheet" />
      <link href="design/{$settings->theme|escape}/css/kernel_socialservices.css" type="text/css"  rel="stylesheet" />
      <link href="design/{$settings->theme|escape}/fonts/flaticon/flaticon.css" type="text/css"  data-template-style="true"  rel="stylesheet" />
      <link href="design/{$settings->theme|escape}/css/template.css" type="text/css"  data-template-style="true"  rel="stylesheet" />
      <link href="design/{$settings->theme|escape}/css/template_addon.css" type="text/css"  data-template-style="true"  rel="stylesheet" />
      <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700,800&subset=latin,cyrillic' rel='stylesheet' type='text/css'>
      <link href="design/{$settings->theme|escape}/css/jquery.fancybox.css" type="text/css"  data-template-style="true"  rel="stylesheet" />
      <link href="design/{$settings->theme|escape}/css/jquery.fancybox-buttons.css" type="text/css"  data-template-style="true"  rel="stylesheet" />
      <link href="design/{$settings->theme|escape}/css/jquery.fancybox-thumbs.css" type="text/css"  data-template-style="true"  rel="stylesheet" />
      {if $module == 'ProductsView' || $module == 'WishlistView'}
      <link href="design/{$settings->theme|escape}/css/filter.css" rel="stylesheet" type="text/css" media="screen"/>
      {/if}
      {if $module == 'CartView' || $module == 'OrderView' }
      <link rel="stylesheet" href="design/{$settings->theme|escape}/css/print.css" media="print"/>
      <link href="design/{$settings->theme|escape}/css/sale.order.ajax.css" type="text/css"  data-template-style="true"  rel="stylesheet" />
      {/if}
      <link href="design/{$settings->theme|escape}/css/{$color}.css" rel="stylesheet" id="theme-css-link"  data-theme="" property="stylesheet">
      {include file='preloader.tpl'}
      <meta name="theme-color" id="theme-color-mobile" content="#fec006">
   </head>
   <body data-theme="yellow-blue" data-spy="scroll" data-target="#profile-scrollspy" data-container="normal" style="">
      <div class="svg-placeholder" style="border: 0; clip: rect(0 0 0 0); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; width: 1px;"></div>
      <div class="preloader-wrap active" id="preloader">
         <div class="preloader loading">
            <span class="slice"></span>
            <span class="slice"></span>
            <span class="slice"></span>
            <span class="slice"></span>
            <span class="slice"></span>
            <span class="slice"></span>
         </div>
      </div>
      <div class="site-overlay"></div>
      <nav class="pushy pushy-left">
         {if $user}
         <div class="account-controls" data-authorized="true">
            <div class="when-authorized">
               <a title="" data-placement="bottom" data-toggle="tooltip" class="header__account-link" href="user/" data-original-title="Профиль">
                  <img alt="{$user->name}" src="design/{$settings->theme|escape}/images/user.png">
                  <span class="header__account-name">{$user->name}</span>
               </a>
               <a title="Выйти" data-placement="bottom" data-toggle="tooltip" class="logout flaticon-fast34" href="user/logout" data-original-title="Выйти"></a>
            </div>
         </div>
         {else}
         <div class="account-controls" data-authorized="false">
            <div class="when-not-authorized">
               <a data-target="#modal-login" class="login flaticon-profile8"    data-toggle="modal">Вход</a>
               <a data-target="#modal-reg" class="register flaticon-pencil41" data-toggle="modal">Регистрация</a>
            </div>
         </div>
         {/if}
         <nav class="main-menu-outer-wrap" id="mm-outer-wrap_LkGdQn">
            <div class="main-menu-wrap dropdown">
               <div class="mm-toggle flaticon-menu51" data-toggle="dropdown">Каталог<span class="hidden-sm"> товаров</span><i class="flaticon-down119"></i></div>
               <ul class="main-menu dropdown-menu items-10">
                  {foreach $categories as $c}
                  {if $c->visible}
                  <li class="mm-lvl0-item ">
                     <a href="catalog/{$c->url}" class="mm0-link">
                        <span class="mm0-img-wrap">
                           {if $c->image}<img class="active" src="{$config->categories_images_dir}{$c->image}" alt="{$c->name|escape}">{/if}
                        </span>
                        <span class="mm0-text">{$c->name|escape}&nbsp;<sup></sup></span>
                     </a>									
                     {if $c->subcategories}
                     <div class="sub-menu-wrap">
                        <div class="mm__lvl1-content">
                           {foreach $c->subcategories as $cat}
                           {if $cat->visible}
                           <div class="mm-lvl1">
                              <a href="catalog/{$cat->url}" class="menu-lvl1-header">{$cat->name|escape}&nbsp;<sup></sup></a>
                              <ul>
                                 {foreach $cat->subcategories as $cat3}
                                 {if $cat3->visible}
                                 <li class="active">
                                    <a href="catalog/{$cat3->url}" class="classic-link">{$cat3->name|escape}&nbsp;<sup>0</sup></a>
                                 </li>
                                 {/if}
                                 {/foreach}
                              </ul><!-- .mainmenu-lvl2-list -->
                           </div>
                           {/if}
                           {/foreach}
                        </div><!-- .mainmenu-lvl1 -->
                     </div>
                     {/if}
                  </li>
                  {/if}
                  {/foreach}
               </ul>
            </div><!-- .main-menu-wrap -->
         </nav><!-- #mm-outer-wrap -->
         <div class="sitenav-menu">
            <div id="bxdynamic_XEVOpk_start" style="display:none"></div> 
            <div id="bxdynamic_XEVOpk_end" style="display:none"></div>	
            <div class="sitenav-menu__borders"></div>
            {foreach $pages as $p}
            {* Выводим только страницы из первого меню *}
            {if $p->menu_id == 1}
            <div class="sitenav-menu-item">
               <a data-page="{$p->id}" href="{$p->url}">{$p->name|escape}</a>
            </div>
            {/if}
            {/foreach}
         </div>
      </nav>
      <div class="page-wrapper" id="container" itemscope itemtype="http://schema.org/Store">
         <div class="content" data-mainmenu="at-side">
            <div class="top-line hidden-xs ">
               <div class="top-line-content container clearfix">
                  {if $user}
                  <div class="account-controls" data-authorized="true">
                     <div class="when-authorized">
                        <a href="user" class="header__account-link" data-toggle="tooltip" data-placement="bottom" title="Профиль">
                           <img src="design/{$settings->theme|escape}/images/user.png" alt="{$user->name}">
                           <span class="header__account-name">{$user->name}</span>
                        </a>
                        <span class="header_auth_compare" id="bx_frame_auth">
                           <span id="wishlist_informer">
                              {include file='wishlist_informer.tpl'}
                           </span>
                           <span id="compare_informer">
                              {include file='compare_informer.tpl'}
                           </span>
                        </span>
                        {if $user}<a href="user/logout" class="logout flaticon-fast34" data-toggle="tooltip" data-placement="bottom" title="Выйти"></a>{/if}
                     </div>
                  </div>
                  {else}
                  <div class="account-controls" data-authorized="false">
                     <div class="when-not-authorized">
                        <a data-target="#modal-login" class="login flaticon-profile8" data-toggle="modal">Вход</a>
                        <a data-target="#modal-reg" class="register flaticon-pencil41"  data-toggle="modal">Регистрация</a>
                        <span class="header_auth_compare" id="bx_frame_auth">
                           <span id="wishlist_informer">
                              {include file='wishlist_informer.tpl'}
                           </span>
                           <span id="compare_informer">
                              {include file='compare_informer.tpl'}
                           </span>
                        </span>
                     </div>
                  </div>
                  {/if}
               </div> <!-- container -->
            </div> <!-- top-line -->
            <div class="container main-container">
               <header class="page-header">
                  <div class="row header-links">
                     <div class="visible-xs-block col-xs-2">
                        <button type="button" class="menu-btn">
                           <i class="flaticon-menu51"></i>
                        </button>
                     </div>
                     <div class="col-xl-2 col-md-3 col-xs-8 logo-col"> <!-- col-lg-2 -->
                        <a href="/" class="furniture-logo">
                           <div class="shop-name">
                              <div class="shop-logo__wrap">
                                 <img class="{$color} active" src="design/{$settings->theme|escape}/images/{$color}.png" alt="furniture-logo">
                              </div>
                              <span itemprop="name">Furnished</span>
                           </div>
                           <div class="shop-description" itemprop="description">Маркет мебели и товаров для дома</div>
                        </a>					
                     </div>
                     <div class="col-xl-2 col-md-3 col-xs-8 city-contacts hidden-xs"><!-- col-lg-6  -->
                        <div class="contacts dropdown">
                           <div class="phone flaticon-expand38" id="contacts-dd" data-toggle="dropdown">8-800-123-0-456</div>
                           <meta itemprop="telephone" content="8-800-234-0-248"/>
                           <ul class="phone-numbers dropdown-menu" aria-labelledby="contacts-dd">
                              <li><p>8-800-123-45-67</p>
                                 <meta itemprop="telephone" content="+78001234567">
                                 <p>8-800-76-54-32</p>
                                 <meta itemprop="telephone" content="+78007654321">
                              </li>
                              <li class="extra-contact flaticon-logotype60">skype: simpla-template</li>
                              <li class="extra-contact flaticon-email27">
                                 <a href="mailto:info@simpla-template.org.ua" class="mm0-text" itemprop="email">info@simpla-template.org.ua</a>
                              </li>
                           </ul>
                        </div> <!-- contacts -->					
                     </div>
                     <div class="col-xl-2 col-xs-8 time-call hidden-xs">
                        <span class="work-time"><span class="text">пн-пт 12:00-23:00,</span> <span class="text">сб-вс 14:00-21:00</span></span>
                     </div><!-- time-call -->
                     <div class="col-xl-4 col-lg-3 col-md-4 col-sm-4 hidden-xs sitenav-menu-row">
                        <div class="sitenav-menu">
                           <div id="bxdynamic_g8taYv_start" style="display:none"></div> 
                           <div id="bxdynamic_g8taYv_end" style="display:none"></div>	
                           <div class="sitenav-menu__borders"></div>
                           {foreach $pages as $p}
                           {* Выводим только страницы из первого меню *}
                           {if $p->menu_id == 1}
                           <div class="sitenav-menu-item">
                              <a data-page="{$p->id}" href="{$p->url}">{$p->name|escape}</a>
                           </div>
                           {/if}
                           {/foreach}
                        </div>
                     </div>
                     <div class="col-xl-2 col-lg-2 col-md-3 col-sm-3 col-xs-2 small-cart-btn-col">
                        <div class="small-cart-button" data-toggle="modal" data-target="#modal-small-cart">
                           <div class="content">
                              <span class="text">Корзина:</span>
                              <span id="cart_informer">
                                 {* Обновляемая аяксом корзина должна быть в отдельном файле *}
                                 {include file='cart_informer.tpl'}
                              </span>
                              <a href="cart/" id="big-cart-button" class="checkout three-color-p">Оформить заказ</a>
                           </div>
                            <a href="cart/"><i class="flaticon-ecommerce7 visible-xs-inline"></i></a>
                        </div><!-- small-cart-button -->
                     </div>
                  </div><!-- header-links -->
               </header><!-- page-header -->
               <div class="row search-area">
                  <div class="col-lg-12 clearfix">
                     <nav class="main-menu-outer-wrap" id="mm-outer-wrap_rIpOz9">
                        <div class="main-menu-wrap dropdown">
                           <div class="mm-toggle flaticon-menu51" data-toggle="dropdown">
                              Каталог<span class="hidden-sm"> товаров</span>			
                              <i class="flaticon-down119"></i>
                           </div>
                           <ul class="main-menu dropdown-menu items-10">
                              {foreach $categories as $c}
                              {if $c->visible}
                              <li class="mm-lvl0-item ">
                                 <a href="catalog/{$c->url}" data-category="{$c->id}" class="mm0-link">								
                                    {if $c->image}
                                    <span class="mm0-img-wrap">
                                       <img class="active" src="{$config->categories_images_dir}{$c->image}" alt="{$c->name}">
                                    </span>
                                    {/if}
                                    <span class="mm0-text">{$c->name}&nbsp;<sup></sup></span>
                                 </a>									
                                 {if $c->subcategories}
                                 <div class="sub-menu-wrap">
                                    <div class="mm__lvl1-content">
                                       {foreach $c->subcategories as $cat}
                                       {if $cat->visible}
                                       <div class="mm-lvl1">
                                          <a href="catalog/{$cat->url}" data-category="{$cat->id}" class="menu-lvl1-header">{$cat->name}&nbsp;<sup></sup></a>
                                          <ul>
                                             {foreach $cat->subcategories as $cat3}
                                             {if $cat3->visible}
                                             <li class=" active">
                                                <a href="catalog/{$cat3->url}" data-category="{$cat3->id}" class="classic-link">{$cat3->name}&nbsp;<sup></sup></a>
                                             </li>
                                             {/if}
                                             {/foreach}
                                          </ul><!-- .mainmenu-lvl2-list -->
                                       </div>
                                       {/if}
                                       {/foreach}
                                    </div><!-- .mainmenu-lvl1 -->
                                 </div>
                                 {/if}
                              </li>
                              {/if}
                              {/foreach}
                           </ul>
                        </div><!-- .main-menu-wrap -->
                     </nav><!-- #mm-outer-wrap -->
                     <div id="search">
                        <form method="get" action="products" class="input-group search-group">
                           <input type="text" name="keyword" value="{$keyword|escape}"  class="form-control text-input input_search" placeholder="Найти в каталоге...">
                           <i class="flaticon-cross93 hidden-xs" id="btn-clear"></i>
                           <div class="input-group-btn search-btn-wrap">
                              <button class="btn-main	btn-primary btn-search flaticon-magnifier13">
                                 <span class="btn-text">Найти товары</span>
                              </button><!-- find-items -->
                           </div>
                        </form>
                     </div>   
                  </div>
               </div>
               {$content}
            </div><!-- container.main-container -->
         </div><!-- content -->
         <footer class="every-page-footer">
            <div class="container">
               <div class="row every-page-footer-line">
                  <div class="col-md-4 col-xs-12">
                     <div class="copyright">&copy; {$smarty.now|date_format:"%Y"} {$settings->site_name|escape}</div>
                  </div>
                  <div class="col-md-4 col-xs-12 text-right" id="bx-composite-banner"></div>
                  <div class="col-md-4 col-xs-12">
                     <div class="made-by">
                        <span class="made-by-text">Разработано в :</span>
                        <a href="http://www.simpla-template.org.ua/" class="simpla-template" title="Шаблоны для великолепных интернет-магазинов «Simpla Template»">
                           <img src="design/{$settings->theme|escape}/images/simpla-template-logo.png" alt="Шаблоны для великолепных интернет-магазинов «Simpla Template»" class="simpla-template-logo">
                        </a>
                     </div><!-- made-by -->
                  </div>				
                  <div class="col-md-12"></div>
               </div><!-- row.every-page-footer-line -->
            </div><!-- container -->
         </footer><!-- every-page-footer -->
      </div><!-- wrapper -->
      <!-- Напстройки темы -->
      {include file='settings.tpl'}
      <div class="modal modal-gallery fade" id="modal-gallery" tabindex="-1" role="dialog" style="">
         <button type="button" class="close" data-dismiss="modal">
            × <span class="or-esc">или ESC</span>
         </button>
         <div class="gallery-photo-viewer modal-photo-viewer">
            <div class="carousel slide gallery-carousel modal-big-img" id="modal-gallery-carousel" data-interval="false">
               <div class="carousel-inner modal-dialog" id="modal-gallery-carousel_src">
                  {foreach $product->images as $i=>$image name=images}
                  <div class="item {if $image@first}active{/if}">
                     <img class="gallery-zoom gallery-carousel-image" src="design/{$settings->theme|escape}/images/transparent.gif" data-zoom-image="{$image->filename|resize:658:658}" alt="{$product->name|escape}{$smarty.foreach.images.index}">
                     <div class="modal-gallery-item-caption">{$product->name|escape}</div>
                  </div>
                  {/foreach}      
                  <a class="left carousel-control" href="#modal-gallery-carousel" role="button" data-slide="prev">
                     <span class="glyphicon glyphicon-chevron-left" aria-hidden="true">
                        <span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
                     </span>
                     <span class="sr-only">Previous</span>
                  </a>
                  <a class="right carousel-control" href="#modal-gallery-carousel" role="button" data-slide="next">
                     <span class="glyphicon glyphicon-chevron-right" aria-hidden="true">
                        <span class="cbutton cbutton--effect-lazar"></span>
                     </span>
                     <span class="sr-only">Next</span>
                  </a>
               </div>
            </div>
            <div class="thumbs modal-thumbs">
               <div class="thumbs-wrap" data-breakpoint="100000">
                  <div class="thumbs-inner" id="modal-gallery-carousel_thumb">
                     {foreach $product->images as $i=>$image name=images}
                     <div class="thumb {if $image@first}active{/if}" data-target="#modal-gallery-carousel" data-slide-to="{$smarty.foreach.images.index}">
                        <img src="{$image->filename|resize:77:77}" alt="{$product->name|escape}{$smarty.foreach.images.index}" class="thumb-image gallery-carousel-image">
                     </div>
                     {/foreach}
                  </div>
               </div>
               <button class="thumbs-control up flaticon-left207 disabled" style="display: none;" disabled=""></button>
               <button class="thumbs-control down flaticon-right218 disabled" style="display: none;" disabled=""></button>
            </div>
         </div>    
      </div>
      <div class="modal fade" id="modal-login" tabindex="-1" role="dialog">
         <div class="modal-dialog modal-login" role="document">
            <div class="modal-content">
               <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span class="svg-wrap close"><svg>
                     <use xlink:href="#close"/>
                  </svg></span></button>
                  <h4 class="modal-title flaticon-profile8">Личный кабинет</h4>
               </div>
               <div class="modal-body clearfix">
                  <div class="login-form tab-content">
                     <form method="post" target="_top" action="/user/password_remind" class="tab-pane fade clearfix" id="form_reset_PqgS8z" data-validate="true" data-spin="submit">
                        <a href="#"></a>
                        <label class="form-group">
                           <span class="label-text">Я забыл пароль:</span>
                           <input type="text" class="form-control" name="email" data-format="email" data-notice="Введите email" required placeholder="Электронная почта для сброса пароля" value="{$email|escape}"  maxlength="255"/>
                        </label>
                        <button type="submit" class="btn btn-lg btn-primary pull-right">Отправить</button>
                        <a href="#form_auth_PqgS8z" class="link link-std pull-left" data-toggle="tab">Назад</a>
                     </form>
                     <div class="tab-pane fade in active" id="form_auth_PqgS8z">
                        <form method="post" target="_top" action="/user/login" class="modal-login-forms col-xs-12 col-md-5" data-validate="true" data-spin="submit">
                           <label class="form-group">
                              <span class="label-text">Электронная почта или номер телефона:</span>
                              <input type="text" class="form-control" name="email" data-format="email" data-notice="Введите email" required value="{$email|escape}" maxlength="255" />
                           </label>
                           <label class="form-group">
                              <span class="label-text">Пароль:</span>
                              <input type="password" class="form-control input-password"  name="password" data-format=".+" data-notice="Введите пароль" required value="" />
                              <i class="flaticon-eye46 password-icon"></i>
                              <i class="flaticon-eye48 password-icon"></i>
                           </label>
                           <a href="#form_reset_PqgS8z" class="classic-link forgot-pass pull-right action-link" data-toggle="tab">Я забыл пароль</a>
                           <div class="form-group">
                              <label class="switch">
                                 <span class="switch-text">Запомнить меня</span>
                                 <input type="checkbox" class="switch-input"  name="USER_REMEMBER" value="Y" checked tabindex="4">
                                 <span class="switch-track"><span class="switch-bar"></span></span>
                              </label>
                           </div>
                           <div class="text-center mar-t-15">
                              <input type="submit" class="btn btn-lg btn-primary" name="login" value="Войти на сайт">
                           </div>
                           <div class="or">или</div>
                        </form>
                        <pre class="cache_time_debug">08:17:20 - 07.09.2016</pre>
                        <div class="reg-via-social col-xs-12 col-md-7">
                           <div class="via-social-text">Авторизация через социальные сети:</div>
                           <div class="via-social">
                              <!-- Ulogin -->
                              <script src="http://ulogin.ru/js/ulogin.js"></script>
                              <div id="uLogin" data-ulogin="display=panel;fields=first_name,last_name,email,phone,city;providers=vkontakte,mailru,facebook,google,twitter;hidden=other;redirect_uri={$config->root_url}/user/login"></div>
                              <!-- end -->
                           </div>
                        </div>							
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <div class="modal fade" id="modal-reg" tabindex="-1" role="dialog">
         <div class="modal-dialog modal-login modal-reg-dialog" role="document">
            <div class="modal-content">
               <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                     <span class="svg-wrap close"><svg><use xlink:href="#close"/></svg></span>
                  </button>
                  <h4 class="modal-title flaticon-pencil41">Регистрация на сайте</h4>
               </div>
               <div class="modal-body">
                  <form method="post" action="/user/register" class="registration-forms">
                     <div class="hint">Поля, помеченные <span class='asterisk-required'>*</span> &mdash; обязательны для заполнения</div>
                     <div class="row registration-content">
                        <div class="block-table">
                           <div class="forms-left col-xs-12 col-md-6">
                              <label class="form-group">
                                 <span class="label-text">Имя<span class="asterisk-required">*</span>:</span>
                                 <input type="text" name="name" class="form-control" tabindex="5" required data-format=".+" data-notice="Введите имя" value="{$name|escape}" maxlength="255" />
                              </label>
                              <label class="form-group">
                                 <span class="label-text">Адрес e-mail<span class="asterisk-required">*</span>:</span>
                                 <input type="text" name="email" data-format="email"  data-notice="Введите email" value="{$email|escape}" class="form-control" tabindex="2" required maxlength="255" />
                              </label>								
                           </div>
                           <div class="forms-right col-xs-12 col-md-6">
                              <label class="form-group">
                                 <span class="label-text">Пароль<span class="asterisk-required">*</span>:</span>
                                 <input type="password" name="password" data-format=".+" data-notice="Введите пароль" class="form-control input-password" tabindex="3" required value="" />
                                 <i class="flaticon-eye46 password-icon"></i>
                                 <i class="flaticon-eye48 password-icon"></i>
                              </label>
                              <label class="form-group">
                                 <span class="label-text">Пароль еще раз<span class="asterisk-required">*</span>:</span>
                                 <input type="password" name="password" data-format=".+" data-notice="Введите пароль" class="form-control input-password" tabindex="4" required value="" />
                                 <i class="flaticon-eye46 password-icon"></i>
                                 <i class="flaticon-eye48 password-icon"></i>
                              </label>
                           </div>
                        </div>
                     </div>
                     <label class="form-group name">
                        <span class="label-text">Код с картинки <span class="asterisk-required">*</span>:</span>
                        <input class="form-control" required="" tabindex="8" id="comment_captcha" type="text" name="captcha_code" value="" data-format="\d\d\d\d" data-notice="Введите капчу"/>
                        <span class="captcha">
                           <img alt="Капча" class="captcha-img" title="Капча" src="captcha/image.php?{math equation='rand(10,10000)'}"/>
                        </span>
                     </label>
                     <div class="registration-footer">
                        <label class="checkbox">
                           <input type="checkbox" class="checkbox-input state"  name="ACCEPT_AGREEMENT" value="Y" tabindex="9"/>
                           <span class="checkbox-content">
                              <span class="check flaticon-checked21"></span>Я принимаю <a href='/rules/' target='_blank'>Правила сайта</a>					
                           </span>
                        </label>
                        <div class="btn-wrap">
                           <input type="submit"class="btn btn-lg btn-primary" name="register" value="Зарегистрироваться">
                        </div>
                     </div>
                  </form>
               </div>
            </div>
         </div>
      </div>
      {literal}
      <script type="text/javascript">if(!window.BX)window.BX={message:function(mess){if(typeof mess=='object') for(var i in mess) BX.message[i]=mess[i]; return true;}};</script>
      <script type="text/javascript">(window.BX||top.BX).message({'JS_CORE_LOADING':'Загрузка...','JS_CORE_NO_DATA':'- Нет данных -','JS_CORE_WINDOW_CLOSE':'Закрыть','JS_CORE_WINDOW_EXPAND':'Развернуть','JS_CORE_WINDOW_NARROW':'Свернуть в окно','JS_CORE_WINDOW_SAVE':'Сохранить','JS_CORE_WINDOW_CANCEL':'Отменить','JS_CORE_WINDOW_CONTINUE':'Продолжить','JS_CORE_H':'ч','JS_CORE_M':'м','JS_CORE_S':'с','JSADM_AI_HIDE_EXTRA':'Скрыть лишние','JSADM_AI_ALL_NOTIF':'Показать все','JSADM_AUTH_REQ':'Требуется авторизация!','JS_CORE_WINDOW_AUTH':'Войти','JS_CORE_IMAGE_FULL':'Полный размер'});</script>
      <script type="text/javascript">(window.BX||top.BX).message({'rz_success_prefix':'<b>Успешно!<\/b> ','rz_info_prefix':'<b>Информация: <\/b> ','rz_warning_prefix':'<b>Информация: <\/b> ','rz_error_prefix':'<b>Ошибка:<\/b> ','rz_contact_to_admin':'<br>Попробуйте еще раз и если ошибка повторится, пожалуйста обратитесь к администратору.'});</script>
      <script type="text/javascript">(window.BX||top.BX).message({'LANGUAGE_ID':'ru','FORMAT_DATE':'DD.MM.YYYY','FORMAT_DATETIME':'DD.MM.YYYY HH:MI:SS','COOKIE_PREFIX':'SIMPLA_SM','SERVER_TZ_OFFSET':'25200','SITE_ID':'fu','SITE_DIR':'/'});</script>
      <script type="text/javascript">(window.BX||top.BX).message({'RZ_UP':'наверх','APPR_YEARS':'лет','APR_MONTH':'мес.','APR_WEEK':'нед.','APR_DAYS':'дней','APR_HOURS':'часов','APR_MINUTS':'мин.','APR_SECONDS':'сек.','APR_YEAR':'год','APR_DAY':'день','APR_HOUR':'час','APR_YEARAS':'года','APR_DAYN':'дня','APR_HOURSES':'часа','APR_L':'л','APR_M':'м','APR_N':'н','APR_D':'д','APR_G':'г','IN_BASKET':'В корзине','ADD_BASKET':'В корзину','COLLAPSED':'Свернуть','UN_COLLAPSED':'Показать еще','RZ_ACCEPT':'принимаю','RZ_RULES_YA':'Я','RZ_CONCLUSION':'Соглашение об использовании персональных данных'});</script>
      {/literal}
      <script type="text/javascript" src="design/{$settings->theme}/js/kernel_main.js"></script>
      <script type="text/javascript" src="design/{$settings->theme}/js/jquery-1.8.3.min.js"></script>
      <script type="text/javascript" src="design/{$settings->theme}/js/kernel_socialservices.js"></script>
      <script type="text/javascript" src="design/{$settings->theme}/js/template.js"></script>
      {* Рейтинг *}
      <script src="js/jquery.rater.js" type="text/javascript"></script>
      {* Аяксовая корзина *}
      <script src="design/{$settings->theme}/js/jquery-ui.min.js"></script>
      <script src="design/{$settings->theme}/js/ajax_cart.js"></script>
      {if $module == 'ProductsView' || $module == 'WishlistView'}
      <script src="design/{$settings->theme}/js/jquery-ui-1.9.0.custom.min.js"  type="text/javascript"></script>
      <script src="design/{$settings->theme}/js/filter.min.js"  type="text/javascript"></script>
      {/if}
      {* Всплывающие подсказки для администратора *}
      {if $smarty.session.admin == 'admin'}
      <script src ="js/admintooltip/admintooltip.js" type="text/javascript"></script>
      <link   href="js/admintooltip/css/admintooltip.css" rel="stylesheet" type="text/css" /> 
      {/if}
      {* Ctrl-навигация на соседние товары *}
      <script type="text/javascript" src="js/ctrlnavigate.js"></script>           
      {* js-проверка форм *}
      <script src="js/baloon/js/baloon.js" type="text/javascript"></script>
      <link   href="js/baloon/css/baloon.css" rel="stylesheet" type="text/css" /> 
      {* Автозаполнитель поиска *}
      {literal}
      <script src="js/autocomplete/jquery.autocomplete-min.js" type="text/javascript"></script>
      <style>
         .autocomplete-suggestions{
         background-color: #ffffff;
         overflow: hidden;
         border: 1px solid #e0e0e0;
         overflow-y: auto;
         }
         .autocomplete-suggestions .autocomplete-suggestion{cursor: default;}
         .autocomplete-suggestions .selected { background:#F0F0F0; }
         .autocomplete-suggestions div { padding:2px 5px; white-space:nowrap; }
         .autocomplete-suggestions strong { font-weight:normal; color:#3399FF; }
      </style>	
      <script>
         $(function() {
            //  Автозаполнитель поиска
            $(".input_search").autocomplete({
               serviceUrl:'ajax/search_products.php',
               minChars:1,
               noCache: false, 
               onSelect:
               function(suggestion){
                  $(".input_search").closest('form').submit();
               },
               formatResult:
               function(suggestion, currentValue){
                  var reEscape = new RegExp('(\\' + ['/', '.', '*', '+', '?', '|', '(', ')', '[', ']', '{', '}', '\\'].join('|\\') + ')', 'g');
                  var pattern = '(' + currentValue.replace(reEscape, '\\$1') + ')';
                  return (suggestion.data.image?"<img align=absmiddle src='"+suggestion.data.image+"'> ":'') + suggestion.value.replace(new RegExp(pattern, 'gi'), '<strong>$1<\/strong>');
               }	
            });
         });
      </script>
      {/literal}
      {literal}
      <script>
         window.addEventListener('load', function () {
            var loader = document.getElementById('preloader');
            if (!loader) return;
            loader.classList.remove('active');
            setTimeout(function () {
               loader.parentNode.removeChild(loader);
            }, 500);
         });
      </script>
      <script>
         $(document).ready(function(){
            $('.modal-added-to-cart, .dialog__overlay').click(function(){
               $('.dialog__overlay, .modal-added-to-cart').fadeOut(700);
               return false;
            });
         });
      </script>
      {/literal}
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      {literal}
      <script>
         document.querySelector('.svg-placeholder').innerHTML = SVG_SPRITE;
         var REQUEST_URI = '/';
      </script>
      <script>
         // Выбор вариантов
         $(document).ready(function() {
            $('select[name=variant]').change(function() {
               price = $(this).find('option:selected').attr('price');
               compare_price = '';
               if(typeof $(this).find('option:selected').attr('compare_price') == 'string')
               compare_price = $(this).find('option:selected').attr('compare_price');
               $(this).find('option:selected').attr('compare_price');
               $(this).closest('form').find('span.prices').html(price);
               $(this).closest('form').find('span.compare_price').html(compare_price);
               return false;		
            });
            // Капча
            $('.captcha img').attr('src', 'captcha/image.php');
         });
      </script>
      {/literal}
      {if $module == 'CartView' || $module == 'OrderView'}
      {literal}
      <script>
         $(document).ready(function () {
            var offset = $('#fixed').offset();
            var topPadding = 7;
            $(window).scroll(function() {
               if ($(window).scrollTop() > offset.top)
               {
                  $('#fixed').stop().animate({marginTop: $(window).scrollTop() - offset.top + topPadding});
               }
               else {
                  $('#fixed').stop().animate({marginTop: 0});
               }
            });
         });
      </script>
      {/literal}
      {/if}
   </body>
</html>