<div class="catalog-list tab-pane fade active in" id="list">
   {foreach $products as $product}
   <div class="catalog-item-list product">
      <div class="row">
         <div class="col-sm-4 col-md-4 col-lg-3 col-xl-3 catalog-item__photo">
            <div class="preview-item__photo-viewer sku-active">
               <div class="carousel slide preview-item-carousel" id="preview-item-carouse{$product->id}" data-interval="false">
                  <a href="products/{$product->url}" class="carousel-inner">
                     {if $product->images|count>1}
                     {foreach $product->images as $i=>$image}
                     <div class="item {if $image@first}active{/if} image">
                        <img src="{$image->filename|resize:213:213}" data-original="{$image->filename|resize:213:213}" class="preview-item-carousel-image  lazy" alt="{$product->name|escape}" style="display: block;">
                     </div>
                     {/foreach}
                     {else}
                     <div class="item active">
                        <img src="{$product->image->filename|resize:213:213}" data-original="{$product->image->filename|resize:213:213}" class="preview-item-carousel-image  lazy" alt="{$product->name|escape}" style="display: block;">
                     </div>
                     {/if}
                  </a>
               </div>
               {if $product->images|count>1}
               <div class="thumbs">
                  <div class="thumbs-wrap" data-breakpoint="0" style="overflow: hidden;">
                     <div style="transform: translateZ(0px); height: 572px;">
                        {foreach $product->images as $i=>$image name=images}
                        <div class="thumb {if $image@first}active{/if}" data-target="#preview-item-carouse{$product->id}" data-slide-to="{$smarty.foreach.images.index}">
                           <img src="{$image->filename|resize:42:42}" data-original="{$image->filename|resize:42:42}" class="thumb-image lazy-thumb" alt="Светильник напольн АРЁД" style="display: inline;">
                        </div>
                        {/foreach}
                     </div>
                  </div>
                  <button class="thumbs-control up disabled" style="display: block;" disabled=""><i class="flaticon-up151"></i></button>
                  <button class="thumbs-control down" style="display: block;"><i class="flaticon-down119"></i></button>
               </div>
               {/if}
            </div>
         </div>
         <div class="col-sm-5 col-md-5 col-lg-6 col-xl-6 catalog-item__info">
            <div class="item-link-wrap">
               <a href="products/{$product->url}" data-product="{$product->id}" class="classic-link">{$product->name|escape}</a>
            </div>
            <!--'start_frame_cache_HlVICg'-->
            <span class="stars" itemprop="aggregateRating" itemscope="" itemtype="http://schema.org/AggregateRating" data-realrating="{$product->rating|string_format:"%.0f"}" data-rating="{$product->rating|string_format:"%.0f"}" data-id="{$product->id}" data-template="section">
               <meta itemprop="ratingValue" content="0">
               <meta itemprop="worstRating" content="0">
					<i class="flaticon-star129" data-index="1"></i>
					<i class="flaticon-star129" data-index="2"></i>
					<i class="flaticon-star129" data-index="3"></i>
					<i class="flaticon-star129" data-index="4"></i>
					<i class="flaticon-star129" data-index="5"></i>
            </span>
            <!--'end_frame_cache_HlVICg'-->
            {if $product->variant->sku}<span class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
            <div class="availability">
               {$product->annotation|strip_tags|truncate:250}
            </div>
         </div>
         <div class="col-sm-3 col-md-3 col-xl-3 catalog-item-buttons">
            <div class="prices">
               <div class="price">{$product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
               {if $product->variant->compare_price > 0}<div class="old-price">{$product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
            </div>
            <div class="add-buttons">
               {if $wishlist_products && in_array($product->url, $wishlist_products)}
               <a href='wishlist' class="add to-favorites addable flaticon-heart296 action-btn added">
                  <span class="added-text">Добавлено в избранное</span>
                  <span class="cbutton cbutton--effect-nikola"></span>
               </a><!-- add.to-favorites -->
               {else}
               <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn wishlist">
                  <span class="add-text">Добавить в избранное</span>
                  <span class="added-text">Добавлено в избранное</span>
                  <span class="cbutton cbutton--effect-nikola"></span>
               </a><!-- add.to-favorites -->
               {/if}
               {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
               <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
                  <span class="added-text">Добавлено в сравнение</span>
                  <span class="cbutton cbutton--effect-nikola"></span>
               </a><!-- add.to-comparison -->
               {else}
               <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare">
                  <span class="add-text">Добавить в сравнение</span>
                  <span class="added-text">Добавлено в сравнение</span>
                  <span class="cbutton cbutton--effect-nikola"></span>
               </a><!-- add.to-comparison -->
               {/if}
            </div><!-- add-buttons -->
            <form class="variants" action="cart">
               {foreach $product->variants as $v}
               <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
               {/foreach}									 
               <div class="amount">
                  <button type="button" class="minus three-color-p disabled"></button>
                  <input type="text" value="1" name="amount" class="form-control quantity-input small">
                  <button type="button" class="plus three-color-p"></button>
               </div>
               <button data-props="Array" type="submit" role="button" data-toggle-text=" Уже в корзине" class="btn-main	add-to-cart btn-primary incart-20167">
                  <span class="svg-wrap">
                     <svg xmlns="http://www.w3.org/2000/svg">
                        <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#cart-add"/>
                     </svg>
                  </span>
                  В корзину
               </button>
            </form>
         </div>
      </div>
   </div>
   {/foreach}
</div>