{* Страница входа пользователя *}
{* Канонический адрес страницы *}
{$canonical="/user/login" scope=parent}
{$meta_title = "Вход" scope=parent}
<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1"></li> <li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">Вход<meta itemprop="position" content="2"></li></ol>
<main class="main-page">
   <div class="row">
      <div class="col-xs-12 col-md-4 col-md-offset-4"><h1>Вход</h1></div>
   </div>
   <div class="row">
      <div class="col-xs-12 col-md-4 col-md-offset-4">
         {if $error}
         {if $error == 'login_incorrect'}
         <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert">×</button>
            Неверный логин или пароль			
         </div>
         {elseif $error == 'user_disabled'}
         <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert">×</button>
            Ваш аккаунт еще не активирован.		
         </div>
         {else}{$error}{/if}
         {/if}
         <div class="login-form tab-content">
            <form method="post" target="_top" class="tab-pane fade in active login_form" data-validate="true" id="form_auth_static" data-spin="submit" novalidate="true">
               <label class="form-group">
                  <span class="label-text">Электронная почта:</span>
                  <input class="form-control" type="text" name="email" tabindex="1" data-format="email" data-notice="Введите email" value="{$email|escape}" maxlength="255" />
               </label>
               <label class="form-group">
                  <span class="label-text">Пароль:</span>
                  <input class="form-control input-password" tabindex="2" type="password" name="password" data-format=".+" data-notice="Введите пароль" value="" />
                  <i class="flaticon-eye46 password-icon"></i>
                  <i class="flaticon-eye48 password-icon"></i>
               </label>
               <div class="form-group">
                  <label class="checkbox">
                     <input class="checkbox-input state" name="USER_REMEMBER" value="Y" checked="" tabindex="4" type="checkbox">
                     <span class="checkbox-content">
                        <span class="check flaticon-checked21"></span>
                        Запомнить меня
                     </span>
                  </label>
                  <a href="user/password_remind" class="link link-std pull-right">Я забыл пароль</a>
               </div>
               <br>
               <div class="text-center mar-t-15">
                  <button name="login" value="Войти" type="submit" class="btn btn-lg btn-primary">Войти на сайт</button>
               </div>
            </form>
         </div>
      </div>
   </div>
</main>