{if $smarty.get.color}
{$color = $smarty.get.color}
<script>
   document.cookie='color={$smarty.get.color};path=/';
</script>
{elseif $smarty.cookies.color}
{$color = $smarty.cookies.color}
{else}
{$color='theme_yellow-blue'}
{/if}
{*
Цветовая гамма
Варианты: theme_green-violet, theme_green-yellow, theme_orange-lime, theme_red-blue, theme_yellow-blue
*}
{* Главная страница магазина *}
{* Канонический адрес страницы *}
{$canonical="" scope=parent}
<main class="main-page">
	<div class="hidden-xs">
      <div class="row advantages">
         <div class="col-sm-3 advantage-wrap flaticon-delivery-truck">
            <div class="advantage">бесплатная и аккуратная доставка</div>
         </div>
         <div class="col-sm-3 advantage-wrap flaticon-front21">
            <div class="advantage">огромный ассортимент товаров: более 3 000 наименований</div>
         </div>
         <div class="col-sm-3 advantage-wrap flaticon-delivery-truck">
            <div class="advantage">удобное оформление заказа и система оплаты</div>
         </div>
         <div class="col-sm-3 advantage-wrap flaticon-list5">
            <div class="advantage">гарантия качества на все товары от 3 до 10 лет</div>
         </div>
      </div> <!-- row.advantages -->
   </div>
   {include file='slider.tpl'}
   {get_new_products var=new_products limit=10}
   {if $new_products}
   <div class="pseudo-h2 text-center">новинки</div>
   <div class="tab-pane fade active in special-offers-content" id="NEW_sHDHvO">
      <div class="item-frame">
         <div class="items-gallery">
            {foreach $new_products as $product}
            <div class="preview-item-wrap product">
               <div class="preview-item complex {if $product->images|count<2}no__photo-viewer{/if}">
                  <div class="preview-item__photo-viewer sku-active">
                     <div data-interval="false" id="preview-item-carousel{$product->id}" class="carousel slide preview-item-carousel">
                        <a class="carousel-inner" href="products/{$product->url}">
                           {foreach $product->images as $i=>$image}
                           <div class="item {if $image@first}active{/if} image">
                              <img alt="{$product->name|escape}" src="{$image->filename|resize:213:213}" class="preview-item-carousel-image lazy-carousel">
                           </div>
                           {/foreach}
                        </a>
                        {if $product->variant->sku}<span id="art_{$product->id}" class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
                        {if $new_products}<img class="sticker-corner" alt="Новинка" src="design/{$settings->theme|escape}/images/new.png">{/if}
                        {if $product->featured}<img class="sticker-corner" alt="Хит" src="design/{$settings->theme|escape}/images/hit.png">{/if}
                        {if $product->variant->compare_price > 0}<img class="sticker-corner" alt="Акция" src="design/{$settings->theme|escape}/images/sale.png">{/if}
                        <div class="add-buttons no-text no-border">
                           {if $wishlist_products && in_array($product->url, $wishlist_products)}
                           <a href='wishlist' class="add to-favorites addable flaticon-heart296 action-btn added">
                              <span class="add-text">В избранном</span>
                              <span class="cbutton cbutton--effect-nikola"></span>
                           </a><!-- add.to-favorites -->
                           {else}
                           <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn favorite-15348 wishlist">
                              <span class="add-text">Добавить в избранное</span>
                              <span class="cbutton cbutton--effect-nikola"></span>
                           </a><!-- add.to-favorites -->
                           {/if}
                           {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
                           <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
                              <span class="add-text">В сравнении</span>
                              <span class="cbutton cbutton--effect-nikola"></span>
                           </a><!-- add.to-comparison -->
                           {else}
                           <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare-15348 compare">
                              <span class="add-text">Добавить в сравнение</span>
                              <span class="cbutton cbutton--effect-nikola"></span>
                           </a><!-- add.to-comparison -->
                           {/if}
                        </div><!-- add-buttons -->
                     </div>
                     {if $product->images|count>1}
                     <div class="thumbs">
                        <div data-breakpoint="0" class="thumbs-wrap" style="overflow: hidden;">
                           <div>
                              {foreach $product->images as $i=>$image name=images}
                              <div data-slide-to="{$smarty.foreach.images.index}" data-target="#preview-item-carousel{$product->id}" class="thumb {if $image@first}active{/if}">
                                 <img alt="{$product->name|escape}" src="{$image->filename|resize:42:42}" class="thumb-image">
                              </div>
                              {/foreach}
                           </div>
                        </div>
                        {if $product->images|count>4}
                        <button class="thumbs-control up disabled" disabled=""><i class="flaticon-up151"></i></button>
                        <button class="thumbs-control down"><i class="flaticon-down119"></i></button>
                        {/if}
                     </div>
                     {/if}
                  </div>
                  <div class="item-name">
                     <div class="name-inner-wrap">
                        <a class="classic-link" data-product="{$product->id}" href="products/{$product->url}">{$product->name|escape}</a>
                     </div>
                  </div>
                  <div class="preview-item__caption">
                     <div class="caption-hidden">
                        <form class="variants" action="cart">
                           {foreach $product->variants as $v}
                           <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
                           {/foreach}
                           <div class="amount small">
                              <button type="button" class="minus three-color-p disabled"></button>
                              <input type="text" value="1" name="amount" class="form-control quantity-input small">
                              <button type="button" class="plus three-color-p"></button>
                           </div>
                           <button class="add-to-cart-small three-color-i flaticon-ecommerce7" type="submit" role="button"></button>
                        </form>
                     </div><!-- caption-hidden -->
                     <div class="price">{$product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
                     {if $product->variant->compare_price > 0}<div class="old-price">{$product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
                     <span data-template="detail" data-arparams="" data-disabled="true" data-id="{$product->id}" data-rating="{$product->rating|string_format:"%.0f"}" data-realrating="{$product->rating|string_format:"%.0f"}" itemtype="http://schema.org/AggregateRating" itemscope="" itemprop="aggregateRating" class="stars">
                        <i data-index="1" class="flaticon-star129"></i>
                        <i data-index="2" class="flaticon-star129"></i>
                        <i data-index="3" class="flaticon-star129"></i>
                        <i data-index="4" class="flaticon-star129"></i>
                        <i data-index="5" class="flaticon-star129"></i>
                     </span>			
                  </div><!-- preview-item__caption -->
               </div>
            </div>
            {/foreach}
         </div>
      </div>
      <div class="pages-wrap">
         <button class="prevPage three-color-p flaticon-left207">
            <span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
         </button>
         <div class="nums"><span class="num-current"></span> / <span class="num-total"></span></div>
         <ul class="pages">
            <li></li>
         </ul>
         <button class="nextPage three-color-p flaticon-right218"><span class="cbutton cbutton--effect-lazar"></span></button>
      </div><!-- pages-wrap -->
   </div>
   {/if}
	<div class="categories">
		<div class="categories-advertisement">
         <div class="adv1">в нашем магазине</div>
         <div class="adv2">вы найдете мебель высшего качества</div>
         <div class="categories-advertisement__icons">
            <img class="categories-advertisement__icon" src="design/{$settings->theme|escape}/images/01.png" alt="картинка для категорий">
            <img class="categories-advertisement__icon" src="design/{$settings->theme|escape}/images/02.png" alt="картинка для категорий">
            <img class="categories-advertisement__icon" src="design/{$settings->theme|escape}/images/03.png" alt="картинка для категорий">		
         </div>
      </div>
      <div class="categories-list">
         {foreach $categories as $c}
         {if $c->visible}
         <a href="catalog/{$c->url}" data-category="{$c->id}" class="category-link">
            {if $c->image}
            <div class="category-image__wrap">
               <img src="{$config->categories_images_dir}{$c->image}" alt="{$c->name}" class="category-img">
            </div>
            {/if}
            {$c->name}		
         </a>
         {/if}
         {/foreach}
      </div><!-- categories-list -->
      <a href="/products/" class="categories-more-link">
			<i class="flaticon-more23"></i>
			<span class="categories-more-text">Все товары</span>
      </a>
   </div><!-- categories -->
   <div class="special-offers-global-wrap" data-specials="tabs" id="specials-global-wrap">
      <div class="row">
         <div class="col-md-12 special-offers-pills-col">
            <ul class="nav nav-pills special-offers-pills">
               <li role="presentation" class="active">
                  <a href="#HIT_sHDHvO" data-toggle="pill" class="hits simple-button">хиты продаж</a>
               </li>
               <li role="presentation">
                  <a href="#BESTSELLER_sHDHvO" data-toggle="pill" class="recommend simple-button">Акция</a>
               </li>
            </ul><!-- special-offers-pills -->
            <div class="special-offers-content tab-content">
               {* Рекомендуемые товары *}
               {get_featured_products var=featured_products}
               {if $featured_products}
               <div class="pseudo-h2 text-center">хиты продаж</div>
               <div class="tab-pane fade active in" id="HIT_sHDHvO">
                  <div class="item-frame" style="overflow: hidden;">
                     <div class="items-gallery">
                        {foreach $featured_products as $product}
                        <div class="preview-item-wrap product">
                           <div class="preview-item complex {if $product->images|count<2}no__photo-viewer{/if}">
                              <div class="preview-item__photo-viewer sku-active">
                                 <div class="carousel slide preview-item-carousel" id="preview-item-carousel{$product->id}_OQ3k9P" data-interval="false">
                                    <a class="carousel-inner" href="products/{$product->url}">
                                       {foreach $product->images as $i=>$image}
                                       <div class="item {if $image@first}active{/if} image">
                                          <img alt="{$product->name|escape}" src="{$image->filename|resize:213:213}" class="preview-item-carousel-image lazy-carousel">
                                       </div>
                                       {/foreach}
                                    </a>
                                    {if $product->variant->sku}<span id="art_{$product->id}" class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
                                    {if $new_products}<img class="sticker-corner" alt="Новинка" src="design/{$settings->theme|escape}/images/new.png">{/if}
                                    {if $product->featured}<img class="sticker-corner" alt="Хит" src="design/{$settings->theme|escape}/images/hit.png">{/if}
                                    {if $product->variant->compare_price > 0}<img class="sticker-corner" alt="Акция" src="design/{$settings->theme|escape}/images/sale.png">{/if}
                                    <div class="add-buttons no-text no-border">
                                       {if $wishlist_products && in_array($product->url, $wishlist_products)}
                                       <a href='wishlist' class="add to-favorites addable flaticon-heart296 action-btn added">
                                          <span class="add-text">В избранном</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-favorites -->
                                       {else}
                                       <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn favorite-15348 wishlist">
                                          <span class="add-text">Добавить в избранное</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-favorites -->
                                       {/if}
                                       {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
                                       <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
                                          <span class="add-text">В сравнении</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-comparison -->
                                       {else}
                                       <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare-15348 compare">
                                          <span class="add-text">Добавить в сравнение</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-comparison -->
                                       {/if}
                                    </div><!-- add-buttons -->
                                 </div>
                                 {if $product->images|count>1}
                                 <div class="thumbs">
                                    <div class="thumbs-wrap" data-breakpoint="0" style="top: 0px; bottom: 0px; overflow: hidden;">
                                       <div style="transform: translateZ(0px); height: 156px;">
                                          {foreach $product->images as $i=>$image name=images}
                                          <div class="thumb {if $image@first}active{/if}" data-target="#preview-item-carousel{$product->id}_OQ3k9P" data-slide-to="{$smarty.foreach.images.index}">
                                             <img src="{$image->filename|resize:42:42}" data-original="{$image->filename|resize:42:42}" class="thumb-image" alt="{$product->name|escape}" style="display: inline;">
                                          </div>
                                          {/foreach}
                                       </div>
                                    </div>
                                    <button class="thumbs-control up disabled" style="display: none;" disabled=""><i class="flaticon-up151"></i></button>
                                    <button class="thumbs-control down disabled" style="display: none;" disabled=""><i class="flaticon-down119"></i></button>
                                 </div>
                                 {/if}
                              </div>
                              <div class="item-name">
                                 <div class="name-inner-wrap">
                                    <a class="classic-link" data-product="{$product->id}" href="products/{$product->url}">{$product->name|escape}</a>
                                 </div>
                              </div>
                              <div class="preview-item__caption">
                                 <div class="caption-hidden">
                                    <form class="variants" action="cart">
                                       {foreach $product->variants as $v}
                                       <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
                                       {/foreach}
                                       <div class="amount small">
                                          <button type="button" class="minus three-color-p disabled"></button>
                                          <input type="text" value="1" name="amount" class="form-control quantity-input small">
                                          <button type="button" class="plus three-color-p"></button>
                                       </div>
                                       <button class="add-to-cart-small three-color-i flaticon-ecommerce7" type="submit" role="button"></button>
                                    </form>
                                 </div><!-- caption-hidden -->
                                 <div class="price">{$product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
                                 {if $product->variant->compare_price > 0}<div class="old-price">{$product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
                                 <span data-template="detail" data-arparams="" data-disabled="true" data-id="{$product->id}" data-rating="{$product->rating|string_format:"%.0f"}" data-realrating="{$product->rating|string_format:"%.0f"}" itemtype="http://schema.org/AggregateRating" itemscope="" itemprop="aggregateRating" class="stars">
                                    <i data-index="1" class="flaticon-star129"></i>
                                    <i data-index="2" class="flaticon-star129"></i>
                                    <i data-index="3" class="flaticon-star129"></i>
                                    <i data-index="4" class="flaticon-star129"></i>
                                    <i data-index="5" class="flaticon-star129"></i>
                                 </span>			
                              </div><!-- preview-item__caption -->
                           </div>
                        </div>
                        {/foreach}
                     </div>
                  </div>
                  <div class="pages-wrap">
                     <button class="prevPage three-color-p flaticon-left207">
                        <span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
                     </button>
                     <div class="nums"><span class="num-current"></span> / <span class="num-total"></span></div>
                     <ul class="pages"><li class=""></li><li class="active"></li></ul>
                     <button class="nextPage three-color-p flaticon-right218 disabled" disabled=""><span class="cbutton cbutton--effect-lazar"></span></button>
                  </div><!-- pages-wrap -->
               </div>
               {/if}
               {get_discounted_products var=discounted_products limit=9}
               {if $discounted_products}
               <div class="pseudo-h2 text-center">Акция</div>
               <div class="tab-pane fade" id="BESTSELLER_sHDHvO">
                  <div class="item-frame">
                     <div class="items-gallery">
                        {foreach $discounted_products as $product}
                        <div class="preview-item-wrap product">
                           <div class="preview-item complex {if $product->images|count<2}no__photo-viewer{/if}">
                              <div class="preview-item__photo-viewer sku-active">
                                 <div class="carousel slide preview-item-carousel" id="preview-item-carousel{$product->id}_KEdkRN" data-interval="false">
                                    <a class="carousel-inner" href="products/{$product->url}">
                                       {foreach $product->images as $i=>$image}
                                       <div class="item {if $image@first}active{/if} image">
                                          <img alt="{$product->name|escape}" src="{$image->filename|resize:213:213}" class="preview-item-carousel-image lazy-carousel">
                                       </div>
                                       {/foreach}
                                    </a>
                                    {if $product->variant->sku}<span id="art_{$product->id}" class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
                                    {if $new_products}<img class="sticker-corner" alt="Новинка" src="design/{$settings->theme|escape}/images/new.png">{/if}
                                    {if $product->featured}<img class="sticker-corner" alt="Хит" src="design/{$settings->theme|escape}/images/hit.png">{/if}
                                    {if $product->variant->compare_price > 0}<img class="sticker-corner" alt="Акция" src="design/{$settings->theme|escape}/images/sale.png">{/if}
                                    <div class="add-buttons no-text no-border">
                                       {if $wishlist_products && in_array($product->url, $wishlist_products)}
                                       <a href='wishlist' class="add to-favorites addable flaticon-heart296 action-btn added">
                                          <span class="add-text">В избранном</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-favorites -->
                                       {else}
                                       <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn favorite-15348 wishlist">
                                          <span class="add-text">Добавить в избранное</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-favorites -->
                                       {/if}
                                       {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
                                       <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
                                          <span class="add-text">В сравнении</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-comparison -->
                                       {else}
                                       <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare-15348 compare">
                                          <span class="add-text">Добавить в сравнение</span>
                                          <span class="cbutton cbutton--effect-nikola"></span>
                                       </a><!-- add.to-comparison -->
                                       {/if}
                                    </div><!-- add-buttons -->
                                 </div>
                                 {if $product->images|count>1}
                                 <div class="thumbs">
                                    <div class="thumbs-wrap" data-breakpoint="0" style="top: 0px; bottom: 0px; overflow: hidden;">
                                       <div style="transform: translateZ(0px); height: 104px;">
                                          {foreach $product->images as $i=>$image name=images}
                                          <div class="thumb {if $image@first}active{/if}" data-target="#preview-item-carousel{$product->id}_KEdkRN" data-slide-to="{$smarty.foreach.images.index}">
                                             <img src="{$image->filename|resize:42:42}" data-original="{$image->filename|resize:42:42}" class="thumb-image" alt="{$product->name|escape}" style="display: inline;">
                                          </div>
                                          {/foreach}
                                       </div>
                                    </div>
                                    <button class="thumbs-control up disabled" style="display: none;" disabled=""><i class="flaticon-up151"></i></button>
                                    <button class="thumbs-control down disabled" style="display: none;" disabled=""><i class="flaticon-down119"></i></button>
                                 </div>
                                 {/if}
                              </div>
                              <div class="item-name">
                                 <div class="name-inner-wrap">
                                    <a class="classic-link" data-product="{$product->id}" href="products/{$product->url}">{$product->name|escape}</a>
                                 </div>
                              </div>
                              <div class="preview-item__caption">
                                 <div class="caption-hidden">
                                    <form class="variants" action="cart">
                                       {foreach $product->variants as $v}
                                       <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
                                       {/foreach}
                                       <div class="amount small">
                                          <button type="button" class="minus three-color-p disabled"></button>
                                          <input type="text" value="1" name="amount" class="form-control quantity-input small">
                                          <button type="button" class="plus three-color-p"></button>
                                       </div>
                                       <button class="add-to-cart-small three-color-i flaticon-ecommerce7" type="submit" role="button"></button>
                                    </form>
                                 </div><!-- caption-hidden -->
                                 <div class="price">{$product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
                                 {if $product->variant->compare_price > 0}<div class="old-price">{$product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
                                 <span data-template="detail" data-arparams="" data-disabled="true" data-id="{$product->id}" data-rating="{$product->rating|string_format:"%.0f"}" data-realrating="{$product->rating|string_format:"%.0f"}" itemtype="http://schema.org/AggregateRating" itemscope="" itemprop="aggregateRating" class="stars">
                                    <i data-index="1" class="flaticon-star129"></i>
                                    <i data-index="2" class="flaticon-star129"></i>
                                    <i data-index="3" class="flaticon-star129"></i>
                                    <i data-index="4" class="flaticon-star129"></i>
                                    <i data-index="5" class="flaticon-star129"></i>
                                 </span>			
                              </div><!-- preview-item__caption -->
                           </div>
                        </div>
                        {/foreach}
                     </div>
                  </div>
                  <div class="pages-wrap">
                     <button class="prevPage three-color-p flaticon-left207">
                        <span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
                     </button>
                     <div class="nums"><span class="num-current"></span> / <span class="num-total"></span></div>
                     <ul class="pages"><li class=""></li><li class="active"></li></ul>
                     <button class="nextPage three-color-p flaticon-right218 disabled" disabled=""><span class="cbutton cbutton--effect-lazar"></span></button>
                  </div><!-- pages-wrap -->
               </div>
               {/if}
            </div>
         </div>
      </div>
   </div>                              
   <!-- Все бренды -->
   {* Выбираем в переменную $all_brands все бренды *}
   {get_brands var=all_brands}
   {if $all_brands}
   <div class="manufacturers">
      <div class="manufacturers-title pseudo-h2 text-center">
         <span>Производители</span>
      </div>
      <div class="manufacturers-wrap row" id="mans" data-sly-to="767">
			<div class="slidee" id="bx_dynamic_xXGM1RaHB9sAU2aLBRXt">
				{foreach $all_brands as $b}
            <div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
               <div class="d-table">
                  <div class="manufacturer">
                     {if $b->image}
                     <a href="brands/{$b->url}" data-brand="{$b->id}" class="manufacturer-link" title="Scavolini">
                        <img data-original="{$config->brands_images_dir}{$b->image}" src="{$config->brands_images_dir}{$b->image}" alt="{$b->name}" class="manufacturer-logo lazy" style="display: inline-block;">
                     </a>
                     {else}
                     <a href="brands/{$b->url}" data-brand="{$b->id}" class="manufacturer-link" title="{$b->name}">{$b->name}</a>
                     {/if}
                  </div>
               </div>
            </div>
            {/foreach}
         </div>
			<div class="pages-wrap">
				<button class="prevPage three-color-p flaticon-left207">
					<span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
            </button>
				<div class="nums">
					<span class="num-current"></span> 
					<span class="num-total"></span>
            </div>
				<ul class="pages">
					<li></li>
            </ul>
				<button class="nextPage three-color-p flaticon-right218">
					<span class="cbutton cbutton--effect-lazar"></span>
            </button>
         </div><!-- pages-wrap -->
      </div><!-- .manufacturers -->
   </div>
   {/if}
   <!-- Все бренды (The End)-->
   <div class="row">
		<div class="col-lg-12 all-manufacturers-row">
			<a href="#mans" class="all-manufacturers flaticon-navigate2 collapsed" data-text="все производители" data-text-when-opened="свернуть">
				<img src="design/{$settings->theme|escape}/images/button.png" alt="" class="bg">
         </a>
      </div>
   </div>
   <footer class="page-footer">
      <div class="row main-footer">
         <div class="col-lg-5 col-md-12 col-xs-12 about-the-company">
            <h3>{$settings->company_name}</h3>
            <a href="/" class="furniture-logo">
               <div class="shop-name">
                  <div class="shop-logo__wrap">
                     <img class="{$color} active" src="design/{$settings->theme|escape}/images/{$color}.png" alt="furniture-logo">
                  </div>
                  <span itemprop="name">FURNISHED</span>
               </div>
            </a>
            <div class="about-the-company-text">
               {* Тело страницы *}
               {$page->body}		
            </div>
         </div><!-- about-the-company -->
         <div class="col-lg-3 col-md-6 col-xs-12">
            <h3>Присоединяйтесь к нам в социальных сетях</h3>
            <div class="main-footer-social-wrap">
               <a href="https://twitter.com/" class="classic-link flaticon-social-network22">
                  Следите за нашим твиттером
               </a>
            </div>
            <div class="main-footer-social-wrap">
               <a href="https://www.facebook.com/" class="classic-link flaticon-facebook2">
                  Мы в Facebook
               </a>
            </div>
            <div class="main-footer-social-wrap">
               <a href="http://www.youtube.com" class="classic-link flaticon-youtube30">
                  Наш канал youtube.com
               </a>
            </div>
            <div class="main-footer-social-wrap">
               <a href="https://vk.com/" class="classic-link flaticon-vk5">
                  Наша группа Вконтакте
               </a>
            </div>
            <div class="main-footer-social-wrap">
               <a href="https://plus.google.com/" class="classic-link flaticon-google114">
                  Мы в Google+
               </a>
            </div>		</div>
      </div><!-- row main-footer -->
      <h4 class="we-can-take-title">мы принимаем к оплате</h4>
      <div class="we-can-take" data-sly-to="991">
         <div class="slidee">
            <img src="design/{$settings->theme|escape}/images/visa.jpg" alt="VISA" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/master-card.jpg" alt="Master Card" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/wm.jpg" alt="WebMoney" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/qiwi.jpg" alt="Qiwi" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/ya.jpg" alt="Яндекс.Деньги" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/euro.jpg" alt="Евросеть" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/contact.jpg" alt="Contact" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/unistream.jpg" alt="Uni Stream" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/mts.jpg" alt="МТС" class="payment-sistem-image">
            <img src="design/{$settings->theme|escape}/images/megafon.jpg" alt="Мегафон" class="payment-sistem-image">
         </div>
      </div>
   </footer>	
</main><!-- main-page -->               