{* Страница заказа *}
{$meta_title = "Ваш заказ №`$order->id`" scope=parent}
<ol class="breadcrumb" itemscope itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1" /></li> <li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a itemprop="item" href="/personal/" title="Личный кабинет">Личный кабинет</a><meta itemprop="position" content="2" /></li> <li class="active" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">Моя корзина<meta itemprop="position" content="3" /></li></ol>			
<main class="main-page">
   {if !$order->paid}
   {* Выбор способа оплаты *}
   {if $payment_methods && !$payment_method && $order->total_price>0}
   <h1 class="main-page-h1">
      Ваш заказ №{$order->id} 
      {if $order->status == 0}принят{/if}
      {if $order->status == 1}в обработке{elseif $order->status == 2}выполнен{/if}
      {if $order->paid == 1}, оплачен{else}{/if}
   </h1>
   <div class="ordering1">
      <form method="post">
         <div id="ordering-details">
            <div id="bx-soa-order" class="row bx-blue">
               <div class="col-sm-9 bx-soa">
                  <div id="bx-soa-basket" data-visited="false" class="bx-soa-section bx-active">
                     <div class="bx-soa-section-title-container">
                        <div class="title-h2 bx-soa-section-title col-sm-9">
                           <span class="bx-soa-section-title-count"></span>Товары в заказе                                
                        </div>
                     </div>
                     <div class="bx-soa-section-content container-fluid">
                        <div class="bx-soa-table-fade">
                           <div style="overflow-x: auto; overflow-y: hidden;">
                              <div class="bx-soa-item-table">
                                 {foreach $purchases as $purchase}
                                 <div class="bx-soa-item-tr bx-soa-basket-info bx-soa-item-tr-first">
                                    <div style="min-width: 300px;" class="bx-soa-item-td">
                                       <div class="bx-soa-item-block">
                                          <div class="bx-soa-item-img-block">
                                             {$image = $purchase->product->images|first}
                                             {if $image}
                                             <a href="products/{$purchase->product->url}">
                                                <div class="bx-soa-item-imgcontainer" style="background-image: url({$image->filename|resize:110:110});"></div>
                                             </a>
                                             {/if}
                                          </div>
                                          <div class="bx-soa-item-content">
                                             <div class="bx-soa-item-title">
                                                <a href="products/{$purchase->product->url}">{$purchase->product_name|escape}</a>
                                             </div>
                                             <div class="bx-scu-container">
                                                <div style="text-align: left;" class="bx-soa-item-td-text">{$purchase->variant_name|escape}</div>
                                                {if $order->paid && $purchase->variant->attachment}
                                                <div style="text-align: left;" class="bx-soa-item-td-text">
                                                   <a class="download_attachment" href="order/{$order->url}/{$purchase->variant->attachment}">скачать файл</a>
                                                </div>
                                                {/if}
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="bx-soa-item-td bx-soa-item-properties bx-text-right"><div class="bx-soa-item-td-title visible-xs visible-sm">Цена за единицу</div><div class="bx-soa-item-td-text"><strong class="bx-price all">{($purchase->price)|convert}<span class="b-rub">&nbsp;{$currency->sign}</span></strong></div></div>
                                    <div class="bx-soa-item-td bx-soa-item-properties bx-text-right"><div class="bx-soa-item-td-title visible-xs visible-sm">Количество</div><div class="bx-soa-item-td-text"><span>&times; {$purchase->amount}&nbsp;{$settings->units}</span></div></div>
                                    <div class="bx-soa-item-td bx-soa-item-properties bx-text-right"><div class="bx-soa-item-td-title visible-xs visible-sm">Сумма</div><div class="bx-soa-item-td-text"><strong class="bx-price all">{($purchase->price*$purchase->amount)|convert}<span class="b-rub">&nbsp;{$currency->sign}</span></strong></div></div>
                                 </div>
                                 {/foreach}
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div id="bx-soa-region" data-visited="true" class="bx-soa-section" style="">
                     <div class="bx-soa-section-title-container">
                        <div class="title-h2 bx-soa-section-title col-sm-9">
                        <span class="bx-soa-section-title-count"></span>Выберите способ оплаты</div>
                     </div>
                     <div class="bx-soa-section-content">
                        {foreach $payment_methods as $payment_method}
                        <div class="radio-inline">
                           <label class="radio">
                              <input class="radio-input state"  type="radio" name="payment_method_id" value='{$payment_method->id}' {if $payment_method@first}checked{/if} id="payment_{$payment_method->id}">
                              <span for="payment_{$payment_method->id}" class="radio-content">
                                 <b> 
                                    {$payment_method->name}, к оплате {$order->total_price|convert:$payment_method->currency_id}&nbsp;{$all_currencies[$payment_method->currency_id]->sign}
                                 </b>
                              </span>
                           </label>
                        </div>
                        <div class="description">
                           {$payment_method->description}
                        </div>
                        {/foreach}
                     </div>
                  </div>
               </div>
               <!--	SIDEBAR BLOCK	-->
               <div id="bx-soa-total" class="col-sm-3 bx-soa-sidebar">
                  <div class="bx-soa-cart-total-ghost" style="padding-top: 0px;"></div>
                  <div id="fixed"  class="bx-soa-cart-total" style="">
                     <div class="bx-soa-cart-total-line">
                        <span class="bx-soa-cart-t">Детали заказа</span>
                     </div>
                     <div class="bx-soa-cart-total-line bx-soa-cart-total-line-highlighted">
                        <span class="bx-soa-cart-t">Дата заказа:</span>
                        <span class="bx-soa-cart-d">{$order->date|date} в {$order->date|time}</span>
                     </div>
                     {if $order->name}
                     <div class="bx-soa-cart-total-line bx-soa-cart-total-line-highlighted">
                        <span class="bx-soa-cart-t">Имя:</span>
                        <span class="bx-soa-cart-d">{$order->name|escape}</span>
                     </div>
                     {/if}
                     {if $order->email}
                     <div class="bx-soa-cart-total-line bx-soa-cart-total-line-highlighted">
                        <span class="bx-soa-cart-t">Email:</span>
                        <span class="bx-soa-cart-d">{$order->email|escape}</span>
                     </div>
                     {/if}
                     {if $order->phone}
                     <div class="bx-soa-cart-total-line bx-soa-cart-total-line-highlighted">
                        <span class="bx-soa-cart-t">Телефон:</span>
                        <span class="bx-soa-cart-d">{$order->phone|escape}</span>
                     </div>
                     {/if}
                     {if $order->address}
                     <div class="bx-soa-cart-total-line bx-soa-cart-total-line-highlighted">
                        <span class="bx-soa-cart-t">Адрес доставки:</span>
                        <span class="bx-soa-cart-d">{$order->address|escape}</span>
                     </div>
                     {/if}
                     {if $order->comment}
                     <div class="bx-soa-cart-total-line bx-soa-cart-total-line-highlighted">
                        <span class="bx-soa-cart-t">Комментарий:</span>
                        <span class="bx-soa-cart-d">{$order->comment|escape|nl2br}</span>
                     </div>
                     {/if}
                     <div class="bx-soa-cart-total-line bx-soa-cart-total-line-total">
                        <span class="bx-soa-cart-t">Итого:</span>
                        <span class="bx-soa-cart-d" style="font-size: 28px;">{$order->total_price|convert}<span class="b-rub">&nbsp;{$currency->sign}</span></span>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div class="big-cart-buttons">
            <button type="submit" name="checkout" class="btn-main btn-primary btn-checkout">Закончить заказ</button>
         </div>
      </form>
      {elseif $payment_method}
      <h1 class="main-page-h1">Способ оплаты &mdash; {$payment_method->name}</h1>
      <p>
         {$payment_method->description}
      </p>
      <h2>
         К оплате {$order->total_price|convert:$payment_method->currency_id}&nbsp;{$all_currencies[$payment_method->currency_id]->sign}
      </h2>
      {* Форма оплаты, генерируется модулем оплаты *}
      {checkout_form order_id=$order->id module=$payment_method->module}
      <div class="big-cart-buttons">
         <form method="post"><button class="back-to-shoping btn-main btn-direction flaticon-left207" type="submit" name="reset_payment_method" value="Выбрать другой способ оплаты">Выбрать другой способ оплаты</button></form>
      </div>
      {/if}{/if}
   </div>
</main><!-- main-page -->   