{* Список товаров *}
{if $wishlist}
<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1"></li> <li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">Избранное<meta itemprop="position" content="2"></li></ol>
<main class="main-page">
   <h1 class="main-page-h1">Личный кабинет</h1>
   <section class="clarification">
      {$user->name|escape}
   </section>
	<div class="row" id="account-page-row">
		<div class="navigation-col col-sm-4 col-md-3 col-lg-3 col-xl-2">
			<section id="profile-scrollspy" class="clearfix">
            <ul class="profile-scrollspy nav nav-tabs" data-bottom="#account-page-row" id="account-menu-list">
					<li class="profile-scrollspy__item  ">
                  <a id="personal_section-href" href="user" class="profile-scrollspy__link" data-text="Персональный раздел">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#home"/>
                        </svg>
                     </span>
                  </a>
               </li>
               <li class="profile-scrollspy__item  active">
                  <a id="favorite-href"  href="/wishlist" class="profile-scrollspy__link" data-text="Избранное">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#heart"/>
                        </svg>
                     </span>
                  </a>
               </li>
					<li class="profile-scrollspy__item  ">
                  <a id="basket-href" href="/cart/" class="profile-scrollspy__link" data-text="Корзина">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#cart-add"/>
                        </svg>
                     </span>
                  </a>
               </li>
					<li class="profile-scrollspy__item  ">
                  <a id="compare-href" href="/compare/" class="profile-scrollspy__link" data-text="Сравнение">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#compare"/>
                        </svg>
                     </span>
                  </a>
               </li>
					<li class="profile-scrollspy__item  ">
                  <a id="contacts-href"  href="/contact/" class="profile-scrollspy__link" data-text="Контакты">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#contacts-shop"/>
                        </svg>
                     </span>
                  </a>
               </li>
            </ul>
         </section>		
      </div>
      <div class="profile-content col-sm-8 col-md-9 col-lg-9 col-xl-10">
         <div class="tab-content">
            <div class="tab-pane in active" id="tab_favorite">
               <div class="h1" id="favorite-header">Избранное</div>
               <div class="profile-tab-description">
                  {$page->body}
               </div>
               <div class="profile-section-content " id="favorite">
                  {if $products}
                  <div class="special-offers-content" id="favorite_slider">
                     <div class="item-frame" style="overflow:hidden !important">
                        <div class="items-gallery" style="transform: translateZ(0px) translateX(-9px); width: 857px;">
                           {foreach $products as $product}
                           <div class="preview-item-wrap product">
                              <div class="preview-item complex {if $product->images|count<2}no__photo-viewer{/if}">
                                 <div class="preview-item__photo-viewer sku-active">
                                    <div data-interval="false" id="preview-item-carousel{$product->id}" class="carousel slide preview-item-carousel">
                                       <a class="carousel-inner" href="products/{$product->url}">
                                          {foreach $product->images as $i=>$image}
                                          <div class="item {if $image@first}active{/if} image">
                                             <img alt="{$product->name|escape}" src="{$image->filename|resize:213:213}" class="preview-item-carousel-image lazy">
                                          </div>
                                          {/foreach}
                                       </a>
                                       {if $product->variant->sku}<span id="art_{$product->id}" class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
                                       {if $new_products}<img class="sticker-corner" alt="Новинка" src="design/{$settings->theme|escape}/images/new.png">{/if}
                                       {if $product->featured}<img class="sticker-corner" alt="Хит" src="design/{$settings->theme|escape}/images/hit.png">{/if}
                                       {if $product->variant->compare_price > 0}<img class="sticker-corner" alt="Акция" src="design/{$settings->theme|escape}/images/sale.png">{/if}
                                       <div class="add-buttons no-text no-border">
                                          {if $wishlist}
                                          <a href='wishlist/remove/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn added">
                                             <span class="added-text">Удалить из избранного</span>
                                             <span class="cbutton cbutton--effect-nikola"></span>
                                          </a><!-- add.to-favorites -->
                                          {/if}
                                          {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
                                          <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
                                             <span class="add-text">В сравнении</span>
                                             <span class="cbutton cbutton--effect-nikola"></span>
                                          </a><!-- comparison -->
                                          {else}
                                          <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare-15348 compare">
                                             <span class="add-text">Добавить в сравнение</span>
                                             <span class="cbutton cbutton--effect-nikola"></span>
                                          </a><!-- add.to-comparison -->
                                          {/if}
                                       </div><!-- add-buttons -->
                                    </div>
                                    {if $product->images|count>1}
                                    <div class="thumbs">
                                       <div data-breakpoint="0" class="thumbs-wrap" style="overflow: hidden;">
                                          <div>
                                             {foreach $product->images as $i=>$image name=images}
                                             <div data-slide-to="{$smarty.foreach.images.index}" data-target="#preview-item-carousel{$product->id}" class="thumb {if $image@first}active{/if}">
                                                <img alt="{$product->name|escape}" src="{$image->filename|resize:42:42}" class="thumb-image">
                                             </div>
                                             {/foreach}
                                          </div>
                                       </div>
                                       {if $product->images|count>4}
                                       <button class="thumbs-control up disabled" disabled=""><i class="flaticon-up151"></i></button>
                                       <button class="thumbs-control down"><i class="flaticon-down119"></i></button>
                                       {/if}
                                    </div>
                                    {/if}
                                 </div>
                                 <div class="item-name">
                                    <div class="name-inner-wrap">
                                       <a class="classic-link" data-product="{$product->id}" href="products/{$product->url}">{$product->name|escape}</a>
                                    </div>
                                 </div>
                                 <div class="preview-item__caption">
                                    <div class="caption-hidden">
                                       <form class="variants" action="cart">
                                          {foreach $product->variants as $v}
                                          <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
                                          {/foreach}
                                          <div class="amount small">
                                             <button type="button" class="minus three-color-p disabled"></button>
                                             <input type="text" value="1" name="amount" class="form-control quantity-input small">
                                             <button type="button" class="plus three-color-p"></button>
                                          </div>
                                          <button class="add-to-cart-small three-color-i flaticon-ecommerce7" type="submit" role="button"></button>
                                       </form>
                                    </div><!-- caption-hidden -->
                                    <div class="price">{$product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
                                    {if $product->variant->compare_price > 0}<div class="old-price">{$product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
                                    <span data-template="detail" data-arparams="" data-disabled="true" data-id="{$product->id}" data-rating="{$product->rating|string_format:"%.0f"}" data-realrating="{$product->rating|string_format:"%.0f"}" itemtype="http://schema.org/AggregateRating" itemscope="" itemprop="aggregateRating" class="stars">
                                       <i data-index="1" class="flaticon-star129"></i>
                                       <i data-index="2" class="flaticon-star129"></i>
                                       <i data-index="3" class="flaticon-star129"></i>
                                       <i data-index="4" class="flaticon-star129"></i>
                                       <i data-index="5" class="flaticon-star129"></i>
                                    </span>			
                                 </div><!-- preview-item__caption -->
                              </div>
                           </div>
                           {/foreach}  
                        </div>
                     </div>
                     <div class="pages-wrap">
                        <button class="prevPage three-color-p flaticon-left207">
                           <span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
                        </button>
                        <div class="nums"><span class="num-current"></span> / <span class="num-total"></span></div>
                        <ul class="pages"><li class=""></li><li class="active"></li></ul>
                        <button class="nextPage three-color-p flaticon-right218 disabled" disabled=""><span class="cbutton cbutton--effect-lazar"></span></button>
                     </div><!-- pages-wrap -->
                  </div>
                  {else}
                  <div class="alert alert-warning alert-dismissible">
                     <button type="button" class="close" data-dismiss="alert">×</button>
                     У вас еще нет избранных товаров
                  </div>
                  {/if}
               </div>
            </div>
         </div>
      </div>
   </div>
</main>
{else}
{* Канонический адрес страницы *}
{if $category && $brand}
{$canonical="/catalog/{$category->url}/{$brand->url}" scope=parent}
{elseif $category}
{$canonical="/catalog/{$category->url}" scope=parent}
{elseif $brand}
{$canonical="/brands/{$brand->url}" scope=parent}
{elseif $keyword}
{$canonical="/products?keyword={$keyword|escape}" scope=parent}
{else}
{$canonical="/products" scope=parent}
{/if}
<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList">
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1"></li> 
   {if $category}
	{foreach $category->path as $cat}
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a itemprop="item" href="catalog/{$cat->url}" title="{$cat->name|escape}">{$cat->name|escape}</a><meta itemprop="position" content="2"></li>
   {/foreach}  
	{if $brand}
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a itemprop="item" href="catalog/{$cat->url}/{$brand->url}" title="{$brand->name|escape}">{$brand->name|escape}</a><meta itemprop="position" content="3"></li>
   {/if}
   {elseif $brand}
	<li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><a itemprop="item" href="brands/{$brand->url}" title="{$brand->name|escape}">{$brand->name|escape}</a><meta itemprop="position" content="3"></li>
	{elseif $keyword}
	<li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">Поиск<meta itemprop="position" content="1"></li>
	{/if}
</ol>
<div class="catalog-page" {if !$category->brands || !$features}id="account-page-row"{/if}>
	<div class="row">
      {if $category->brands || $features}
      <div id="filter">
         {include file='filter.tpl'}
      </div>
      {else}
		<div class="navigation-col col-sm-4 col-md-3 col-lg-3 col-xl-2">
			<section id="profile-scrollspy" class="clearfix">
            <ul class="profile-scrollspy nav nav-tabs" data-bottom="#account-page-row" id="account-menu-list">
					<li class="profile-scrollspy__item">
                  <a id="favorite-href"  href="/wishlist" class="profile-scrollspy__link" data-text="Избранное">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#heart"/>
                        </svg>
                     </span>
                  </a>
               </li>
					<li class="profile-scrollspy__item  ">
                  <a id="basket-href" href="/cart/" class="profile-scrollspy__link" data-text="Корзина">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#cart-add"/>
                        </svg>
                     </span>
                  </a>
               </li>
					<li class="profile-scrollspy__item  ">
                  <a id="compare-href" href="/compare/" class="profile-scrollspy__link" data-text="Сравнение">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#compare"/>
                        </svg>
                     </span>
                  </a>
               </li>
					<li class="profile-scrollspy__item  ">
                  <a id="contacts-href"  href="/contact/" class="profile-scrollspy__link" data-text="Контакты">
                     <span class="panel-icon">
								<svg>
									<use xlink:href="#contacts-shop"/>
                        </svg>
                     </span>
                  </a>
               </li>
            </ul>
         </section>		
      </div>
      <br>
      {/if}
      <div class="col-lg-9 col-md-9 col-xs-12 catalog-content-col">
         {* Заголовок страницы *}
         {if $keyword}
         <h1 class="catalog-page-title">Поиск {$keyword|escape}</h1>
         {elseif $page}
         <h1 class="catalog-page-title">{$page->name|escape}</h1>
         {else}
         <h1 class="catalog-page-title">{$category->name|escape} {$brand->name|escape}</h1>
         {/if}
         <div id="catalog_wrapper">
            {if $products}
            <div>
               {if $page->body || $category->description || $brand->description}
               {if $current_page_num==1}
               <div class="catalog-description-block">
                  <div class="catalog-description clearfix not-full minified">
							{if $category->image}
                     <div class="description-image">
                        <img src="{$config->categories_images_dir}{$category->image}" alt="{$category->name|escape}">
                     </div>
                     {/if}
                     <span class="rz_description_top">
                        {$page->body}
                        {$category->description}
                        {$brand->description}
                     </span>
                     <button type="button" class="height-toggle"><span>Показать еще</span></button>
                  </div>
               </div>
               {/if}
               {/if}
               <div class="goods-shown">{$products|count|plural:'Товар':'Товаров':'Товара'}:	{$products|count}</div>
               <ul class="view-type-switcher vav nav-pills pull-right" role="tablist">
                  <li role="presentation" class="view-type-switcher-li {if $smarty.cookies.view == 'blocks'}active{/if}">
                     <a onclick="document.cookie='view=blocks;path=/';document.location.reload();" href="javascript:;" class="view-type-switch-btn block flaticon-square234" data-view="blocks"></a>
                  </li>
                  <li role="presentation" class="view-type-switcher-li {if $smarty.cookies.view == 'list'}active{/if}">
                     <a onclick="document.cookie='view=list;path=/';document.location.reload();" href="javascript:;" class="view-type-switch-btn block flaticon-list50" data-view="list"></a>
                  </li>
               </ul><!-- view-type-switcher -->
            </div>
            <div class="view-options-form">
               <div class="sort-by">
                  <span class="sort-by-text">Сортировка по</span>
                  <select onchange="location = this.value;" class="cs-select cs-skin-elastic  sort-by-select">
                     <option value="{url sort=position page=null}" {if $sort=='position'}selected{/if}>Умолчанию</option>
                     <option value="{url sort=price page=null}" {if $sort=='price'}selected{/if}>Цене</option>
                     <option value="{url sort=name page=null}" {if $sort=='name'}selected{/if}>Названию</option>
                     <option value="{url sort=rating page=null}"{if $sort=='rating'} selected{/if}>Рейтингу</option>
                  </select>
               </div>
               <!--
                  <div class="show-by">
                  <span class="show-by-text">Показывать по</span>
                  <label>
                  <input name="show-by-item1" class="show-by-item state" checked="" value="12" type="radio">
                  <span class="show-by-content">12</span>
                  </label>
                  <label>
                  <input name="show-by-item1" class="show-by-item state" value="24" type="radio">
                  <span class="show-by-content">24</span>
                  </label>
                  <label>
                  <input name="show-by-item1" class="show-by-item state" value="48" type="radio">
                  <span class="show-by-content">48</span>
                  </label>
                  </div>
               -->	
               <nav class="pagination-wrap">
                  {include file='pagination.tpl'}
               </nav>	
               <div class="clearfix"></div>
            </div><!-- view-options-form -->
            <div class="catalog-content tab-content">
               {if $smarty.cookies.view == 'list'}
               {include file='list.tpl'} 
               {else} 
               {include file='blocks.tpl'}
               {/if}	
            </div>
            <div class="view-options-form">
               <div class="sort-by">
                  <span class="sort-by-text">Сортировка по</span>
                  <select onchange="location = this.value;" class="cs-select cs-skin-elastic  sort-by-select">
                     <option value="{url sort=position page=null}" {if $sort=='position'}selected{/if}>Умолчанию</option>
                     <option value="{url sort=price page=null}" {if $sort=='price'}selected{/if}>Цене</option>
                     <option value="{url sort=name page=null}" {if $sort=='name'}selected{/if}>Названию</option>
                     <option value="{url sort=rating page=null}"{if $sort=='rating'} selected{/if}>Рейтингу</option>
                  </select>		
               </div>
               <!--
                  <div class="show-by">
                  <span class="show-by-text">Показывать по</span>
                  <label>
                  <input name="show-by-item2" class="show-by-item state" checked="" value="12" type="radio">
                  <span class="show-by-content">12</span>
                  </label>
                  <label>
                  <input name="show-by-item2" class="show-by-item state" value="24" type="radio">
                  <span class="show-by-content">24</span>
                  </label>
                  <label>
                  <input name="show-by-item2" class="show-by-item state" value="48" type="radio">
                  <span class="show-by-content">48</span>
                  </label>
                  </div>
               -->	
               <nav class="pagination-wrap">
                  {include file='pagination.tpl'}
               </nav>	
               <div class="clearfix"></div>
            </div><!-- view-options-form -->
            {else}
            <div class="alert alert-warning alert-dismissible">
               <button type="button" class="close" data-dismiss="alert">×</button>
               Товары не найдены
            </div>
            {/if}
         </div>
      </div>
   </div>
</div>
{/if}   