﻿<button class="btn-settings flaticon-gear37" data-toggle="modal" data-target="#modal-settings"></button>
<div role="dialog" tabindex="-1" id="modal-settings" class="modal fade" style="">	
   <div role="document" class="modal-dialog modal-settings">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span class="svg-wrap close"><svg><use xlink:href="#close"/></svg></span>
            </button>
            <h4 class="modal-title flaticon-mixer1">Настройки</h4>
         </div>
         <form method="post" action="/" id="settings-form">
            <div class="modal-body">
               <div class="settings-option mb-15">
                  <div class="settings-title">Цветовая схема:</div>
                     <label title="Желто-синяя" class="color-scheme-label">
                        <input type="radio" checked="" value="yellow-blue" class="color-scheme-radio" name="SETTINGS[theme]">
                        <span class="color-scheme-image-wrap">
                           <img class="color-scheme-image" alt="" src="design/{$settings->theme|escape}/images/yellow-blue.jpg">
                        </span>
                     </label>
                     <label title="Зелено-фиолетовая" class="color-scheme-label">
                        <input type="radio" value="green-violet" class="color-scheme-radio" name="SETTINGS[theme]">
                        <span class="color-scheme-image-wrap">
                           <img class="color-scheme-image" alt="" src="design/{$settings->theme|escape}/images/green-violet.jpg">
                        </span>
                     </label>
                     <label title="Красно-синяя" class="color-scheme-label">
                        <input type="radio" value="red-blue" class="color-scheme-radio" name="SETTINGS[theme]">
                        <span class="color-scheme-image-wrap">
                           <img class="color-scheme-image" alt="" src="design/{$settings->theme|escape}/images/red-blue.jpg">
                        </span>
                     </label>
                     <label title="Зелено-желтая" class="color-scheme-label">
                        <input type="radio" value="green-yellow" class="color-scheme-radio" name="SETTINGS[theme]">
                        <span class="color-scheme-image-wrap">
                           <img class="color-scheme-image" alt="" src="design/{$settings->theme|escape}/images/green-yellow.jpg">
                        </span>
                     </label>
                     <label title="Оранжево-лаймовая" class="color-scheme-label">
                        <input type="radio" value="orange-lime" class="color-scheme-radio" name="SETTINGS[theme]">
                        <span class="color-scheme-image-wrap">
                           <img class="color-scheme-image" alt="" src="design/{$settings->theme|escape}/images/orange-lime.jpg">
                        </span>
                     </label>
                  </div>
               </div>
            <div class="modal-footer">
               <div class="btn-wrap">
                  <a class="btn btn-lg btn-primary" id="theme-css-link2"  href="?color=theme_yellow-blue">Сохранить</a>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>