<ol class="breadcrumb" itemscope itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem"><a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1" /></li> <li class="active" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">Личный кабинет<meta itemprop="position" content="2" /></li></ol>			
<main class="main-page">
   <h1 class="main-page-h1">Личный кабинет</h1>
   <section class="clarification">
      {$user->name|escape}
   </section>
   <div class="row" id="account-page-row">
      <div class="navigation-col col-sm-4 col-md-3 col-lg-3 col-xl-2">
         <section id="profile-scrollspy" class="clearfix">
            <ul  class="profile-scrollspy nav nav-tabs" data-bottom="#account-page-row" id="account-menu-list">
               <li class="profile-scrollspy__item active">
                  <a id="personal_section-href" href="user" class="profile-scrollspy__link" data-text="Персональный раздел">
                     <span class="panel-icon">
                        <svg>
                           <use xlink:href="#home"></use>
                        </svg>
                     </span>
                  </a>
               </li>
               <li class="profile-scrollspy__item  ">
                  <a id="favorite-href"  href="wishlist" class="profile-scrollspy__link" data-text="Избранное">
                     <span class="panel-icon">
                        <svg>
                           <use xlink:href="#heart"></use>
                        </svg>
                     </span>
                  </a>
               </li>
               <li class="profile-scrollspy__item  ">
                  <a id="basket-href" href="/cart/" class="profile-scrollspy__link" data-text="Корзина">
                     <span class="panel-icon">
                        <svg>
                           <use xlink:href="#cart-add"></use>
                        </svg>
                     </span>
                  </a>
               </li>
               <li class="profile-scrollspy__item  ">
                  <a id="compare-href" href="/compare/" class="profile-scrollspy__link" data-text="Сравнение">
                     <span class="panel-icon">
                        <svg>
                           <use xlink:href="#compare"></use>
                        </svg>
                     </span>
                  </a>
               </li>
               <li class="profile-scrollspy__item  ">
                  <a id="contacts-href" href="/contact/" class="profile-scrollspy__link" data-text="Контакты">
                     <span class="panel-icon">
                        <svg>
                           <use xlink:href="#contacts-shop"></use>
                        </svg>
                     </span>
                  </a>
               </li>
               <li class="profile-scrollspy__item  ">
                  <a id="logout-href" href="user/logout" class="profile-scrollspy__link" data-text="Выйти">
                     <span class="panel-icon">
                        <svg>
                           <use xlink:href="#exit"></use>
                        </svg>
                     </span>
                  </a>
               </li>
            </ul>
         </section>		
      </div>
      <div class="profile-content col-sm-8 col-md-9 col-lg-9 col-xl-10">
         <div class="tab-content">
            <div class="tab-pane in active" id="tab_reg">
               <div class="h1" id="reg-header">Регистрационные данные</div>
               <div class="profile-section-content " id="reg">
                  <form method="post" class="with-edit">
                     <div class="row">
                        <div class="col-md-5">
                           {if $error}
                           <label class="form-group">
                              {if $error == 'empty_name'}
                              <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button>Введите имя</div>
                              {elseif $error == 'empty_email'}
                              <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button> Введите email</div>
                              {elseif $error == 'empty_password'}
                              <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button>Введите пароль</div>
                              {elseif $error == 'user_exists'}
                              <div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert">×</button>Пользователь с таким email уже зарегистрирован</div>
                              {else}{$error}{/if}
                           </label>
                           {/if}
                           <label class="form-group">
                              <span class="profile__helper-text">Имя:</span>
                              <input data-format=".+" data-notice="Введите имя" class="form-control" value="{$name|escape}" name="name" maxlength="255" type="text"/>
                           </label>
                           <label class="form-group">
                              <span class="profile__helper-text">Ваш e-mail:</span>
                              <input data-format="email" data-notice="Введите email" class="form-control" value="{$email|escape}" name="email" maxlength="255" type="text"/>
                           </label>
                           <label class="form-group">
                              <span class="profile__helper-text"><a href='#' onclick="$('#password').show();return false;">Изменить пароль</a></span>
                              <input id="password" class="form-control" value="" name="password" type="password" style="display:none;"/>
                           </label>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-md-5">
                           <button class="btn btn-lg btn-primary" type="submit" value="Сохранить">Сохранить изменения</button>
                        </div>
                     </div>
                  </form>
                  <br>
                  <div class="profile-tab-description">
                     {if $orders}
                     <p></p>
                     <h2>Ваши заказы</h2>
                     <ul id="orders_history">
                        {foreach $orders as $order}
                        <li>
                           {$order->date|date} <a href='order/{$order->url}'>Заказ №{$order->id}</a>
                           {if $order->paid == 1}оплачен,{/if} 
                           {if $order->status == 0}ждет обработки{elseif $order->status == 1}в обработке{elseif $order->status == 2}выполнен{/if}
                        </li>
                        {/foreach}
                     </ul>
                     {/if}
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</main><!-- main-page -->